Просмотр исходного кода

merged from lp:~donkult/apt/sid

Michael Vogt лет назад: 14
Родитель
Сommit
e77aedb863

+ 3 - 2
apt-pkg/clean.cc

@@ -81,12 +81,13 @@ bool pkgArchiveCleaner::Go(std::string Dir,pkgCache &Cache)
       if (*I != '.')
 	 continue;
       std::string const Arch = DeQuoteString(std::string(Start,I-Start));
-      
+
+      // ignore packages of unconfigured architectures
       if (APT::Configuration::checkArchitecture(Arch) == false)
 	 continue;
       
       // Lookup the package
-      pkgCache::PkgIterator P = Cache.FindPkg(Pkg);
+      pkgCache::PkgIterator P = Cache.FindPkg(Pkg, Arch);
       if (P.end() != true)
       {
 	 pkgCache::VerIterator V = P.VersionList();

+ 14 - 2
cmdline/apt-mark.cc

@@ -291,14 +291,26 @@ bool DoHold(CommandLine &CmdL)
    FILE* dpkg = fdopen(external[1], "w");
    for (APT::PackageList::iterator Pkg = pkgset.begin(); Pkg != pkgset.end(); ++Pkg)
    {
+      if (dpkgMultiArch == false)
+	 fprintf(dpkg, "%s", Pkg.FullName(true).c_str());
+      else
+      {
+	 if (Pkg->CurrentVer != 0)
+	    fprintf(dpkg, "%s:%s", Pkg.Name(), Pkg.CurrentVer().Arch());
+	 else if (Pkg.VersionList().end() == false)
+	    fprintf(dpkg, "%s:%s", Pkg.Name(), Pkg.VersionList().Arch());
+	 else
+	    fprintf(dpkg, "%s", Pkg.FullName(false).c_str());
+      }
+
       if (MarkHold == true)
       {
-	 fprintf(dpkg, "%s hold\n", Pkg.FullName(!dpkgMultiArch).c_str());
+	 fprintf(dpkg, " hold\n");
 	 ioprintf(c1out,_("%s set on hold.\n"), Pkg.FullName(true).c_str());
       }
       else
       {
-	 fprintf(dpkg, "%s install\n", Pkg.FullName(!dpkgMultiArch).c_str());
+	 fprintf(dpkg, " install\n");
 	 ioprintf(c1out,_("Canceled hold on %s.\n"), Pkg.FullName(true).c_str());
       }
    }

+ 8 - 6
debian/apt.cron.daily

@@ -327,12 +327,14 @@ check_power(){
 
 # ------------------------ main ----------------------------
 
-# Backup the 7 last versions of APT's extended_states file
-# shameless copy from dpkg cron
-if cd /var/backups ; then
-    if ! cmp -s apt.extended_states.0 /var/lib/apt/extended_states; then
-	cp -p /var/lib/apt/extended_states apt.extended_states
-	savelog -c 7 apt.extended_states >/dev/null
+if test -r /var/lib/apt/extended_states; then
+    # Backup the 7 last versions of APT's extended_states file
+    # shameless copy from dpkg cron
+    if cd /var/backups ; then
+	if ! cmp -s apt.extended_states.0 /var/lib/apt/extended_states; then
+	    cp -p /var/lib/apt/extended_states apt.extended_states
+	    savelog -c 7 apt.extended_states >/dev/null
+	fi
     fi
 fi
 

+ 29 - 1
debian/changelog

@@ -1,9 +1,37 @@
 apt (0.9.7.2) UNRELEASED; urgency=low
 
+
   [ Manpages translation updates ]
   * French (Christian Perrier)
 
- -- Christian Perrier <bubulle@debian.org>  Tue, 03 Jul 2012 13:56:41 -0600
+  [ Program translation updates ]
+  * Greek (Θανάσης Νάτσης)
+
+  * Japanese (Kenshi Muto) (Closes: #679662)
+  * Russian (Yuri Kozlov) (Closes: #679599)
+  * Danish (Joe Dalton) (Closes: #680119)
+  * Portuguese (Miguel Figueiredo) (Closes: #680616)
+
+  [ Manpage translation updates ]
+  * German (Chris Leick)
+
+  [ David Kalnischkies ]
+  * debian/apt.cron.daily:
+    - do not try to backup extended_states file if it doesn't
+      exist (Closes: #680287)
+  * ftparchive/writer.cc:
+    - handle the APT::FTPArchive::Packages::SHA512 option correctly instead
+      of overriding SHA256, thanks Christian Marillat! (Closes: #680252)
+  * cmdline/apt-mark.cc:
+    - arch:all packages are treated as arch:native packages, but dpkg
+      expects pkg:all for selections, so use the arch of the installed
+      version instead of the package structure if possible.
+      Thanks to Stepan Golosunov for the report! (Closes: #680041)
+  * apt-pkg/clean.cc:
+    - run autoclean against pkg:arch and not always against pkg:native as
+      this removes valid cache entries (Closes: #679371)
+
+ -- David Kalnischkies <kalnischkies@gmail.com>  Sun, 01 Jul 2012 08:20:57 +0200
 
 apt (0.9.7.1) unstable; urgency=low
 

Разница между файлами не показана из-за своего большого размера
+ 364 - 911
doc/po/de.po


+ 1 - 1
ftparchive/writer.cc

@@ -318,7 +318,7 @@ PackagesWriter::PackagesWriter(string const &DB,string const &Overrides,string c
    DoMD5 = _config->FindB("APT::FTPArchive::Packages::MD5",DoMD5);
    DoSHA1 = _config->FindB("APT::FTPArchive::Packages::SHA1",DoSHA1);
    DoSHA256 = _config->FindB("APT::FTPArchive::Packages::SHA256",DoSHA256);
-   DoSHA256 = _config->FindB("APT::FTPArchive::Packages::SHA512",true);
+   DoSHA512 = _config->FindB("APT::FTPArchive::Packages::SHA512",DoSHA512);
    DoAlwaysStat = _config->FindB("APT::FTPArchive::AlwaysStat", false);
    DoContents = _config->FindB("APT::FTPArchive::Contents",true);
    NoOverride = _config->FindB("APT::FTPArchive::NoOverrideMsg",false);

+ 13 - 15
po/da.po

@@ -11,14 +11,13 @@ msgstr ""
 "Project-Id-Version: apt\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2012-06-27 11:17+0200\n"
-"PO-Revision-Date: 2012-06-02 23:51+0200\n"
+"PO-Revision-Date: 2012-07-03 23:51+0200\n"
 "Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
-"Language-Team: Danish <debian-l10n-danish@lists.debian.org> \n"
+"Language-Team: Danish <debian-l10n-danish@lists.debian.org>\n"
 "Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: KBabel 1.11.4\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
 #: cmdline/apt-cache.cc:158
@@ -450,14 +449,14 @@ msgstr "Virtuelle pakker som »%s« kan ikke fjernes\n"
 
 #. TRANSLATORS: Note, this is not an interactive question
 #: cmdline/apt-get.cc:737 cmdline/apt-get.cc:940
-#, fuzzy, c-format
+#, c-format
 msgid "Package '%s' is not installed, so not removed. Did you mean '%s'?\n"
-msgstr "Pakken %s er ikke installeret, så den afinstalleres ikke\n"
+msgstr "Pakken »%s« er ikke installeret, så den afinstalleres ikke. Mente du »%s«?\n"
 
 #: cmdline/apt-get.cc:743 cmdline/apt-get.cc:946
-#, fuzzy, c-format
+#, c-format
 msgid "Package '%s' is not installed, so not removed\n"
-msgstr "Pakken %s er ikke installeret, så den afinstalleres ikke\n"
+msgstr "Pakken »%s« er ikke installeret, så den afinstalleres ikke\n"
 
 #: cmdline/apt-get.cc:788
 #, c-format
@@ -496,16 +495,16 @@ msgstr "%s sat til manuelt installeret.\n"
 #: cmdline/apt-get.cc:884
 #, c-format
 msgid "Selected version '%s' (%s) for '%s'\n"
-msgstr "Valgte version '%s' (%s) for '%s'\n"
+msgstr "Valgte version »%s« (%s) for »%s«\n"
 
 #: cmdline/apt-get.cc:889
 #, c-format
 msgid "Selected version '%s' (%s) for '%s' because of '%s'\n"
-msgstr "Valgte version '%s' (%s) for '%s' på grund af '%s'\n"
+msgstr "Valgte version »%s« (%s) for »%s« på grund af »%s«\n"
 
 #: cmdline/apt-get.cc:1025
 msgid "Correcting dependencies..."
-msgstr "Retter afhængigheder..."
+msgstr "Retter afhængigheder ..."
 
 #: cmdline/apt-get.cc:1028
 msgid " failed."
@@ -757,11 +756,10 @@ msgstr[1] ""
 "Pakkerne %lu blev installeret automatisk, og behøves ikke længere.\n"
 
 #: cmdline/apt-get.cc:1835
-#, fuzzy
 msgid "Use 'apt-get autoremove' to remove it."
 msgid_plural "Use 'apt-get autoremove' to remove them."
-msgstr[0] "Brug 'apt-get autoremove' til at fjerne dem."
-msgstr[1] "Brug 'apt-get autoremove' til at fjerne dem."
+msgstr[0] "Brug »apt-get autoremove« til at fjerne den."
+msgstr[1] "Brug »apt-get autoremove« til at fjerne dem."
 
 #: cmdline/apt-get.cc:1854
 msgid "Internal error, AllUpgrade broke stuff"
@@ -769,7 +767,7 @@ msgstr "Intern fejl, AllUpgrade ødelagde noget"
 
 #: cmdline/apt-get.cc:1953
 msgid "You might want to run 'apt-get -f install' to correct these:"
-msgstr "Du kan muligvis rette det ved at køre 'apt-get -f install':"
+msgstr "Du kan muligvis rette det ved at køre »apt-get -f install«:"
 
 #: cmdline/apt-get.cc:1957
 msgid ""
@@ -847,7 +845,7 @@ msgstr "Kunne ikke låse nedhentningsmappen"
 #: cmdline/apt-get.cc:2386
 #, c-format
 msgid "Can't find a source to download version '%s' of '%s'"
-msgstr ""
+msgstr "Kan ikke finde en kilde til at hente version »%s« for »%s«"
 
 #: cmdline/apt-get.cc:2391
 #, c-format

+ 39 - 44
po/el.po

@@ -11,13 +11,14 @@
 # quad-nrg.net <galaxico@quad-nrg.net>, 2005.
 # Serafeim Zanikolas <serzan@hellug.gr>, 2008.
 # quad-nrg.net <yodesy@quad-nrg.net>, 2008.
+# Θανάσης Νάτσης <natsisthanasis@gmail.com>, 2012.
 msgid ""
 msgstr ""
 "Project-Id-Version: apt_po_el\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2012-06-27 11:17+0200\n"
 "PO-Revision-Date: 2008-08-26 18:25+0300\n"
-"Last-Translator: quad-nrg.net <yodesy@quad-nrg.net>\n"
+"Last-Translator: Θανάσης Νάτσης <natsisthanasis@gmail.com>\n"
 "Language-Team: Greek <debian-l10n-greek@lists.debian.org>\n"
 "Language: el\n"
 "MIME-Version: 1.0\n"
@@ -37,9 +38,8 @@ msgid "Total package names: "
 msgstr "Συνολικά Ονόματα Πακέτων : "
 
 #: cmdline/apt-cache.cc:288
-#, fuzzy
 msgid "Total package structures: "
-msgstr "Συνολικά Ονόματα Πακέτων : "
+msgstr "Συνολο Δομών Πακέτου : "
 
 #: cmdline/apt-cache.cc:328
 msgid "  Normal packages: "
@@ -113,9 +113,8 @@ msgid "No packages found"
 msgstr "Δε βρέθηκαν πακέτα"
 
 #: cmdline/apt-cache.cc:1222
-#, fuzzy
 msgid "You must give at least one search pattern"
-msgstr "Πρέπει να δώσετε ακριβώς μία παράσταση"
+msgstr "Πρέπει να δώσετε τουλάχιστον ένα μοτίβο αναζήτησης"
 
 #: cmdline/apt-cache.cc:1357
 msgid "This command is deprecated. Please use 'apt-mark showauto' instead."
@@ -249,19 +248,17 @@ msgstr ""
 "Δείτε τις σελίδες man του apt-cache(8) και apt.conf(5) για πληροφορίες.\n"
 
 #: cmdline/apt-cdrom.cc:79
-#, fuzzy
 msgid "Please provide a name for this Disc, such as 'Debian 5.0.3 Disk 1'"
-msgstr ""
-"Παρακαλώ δώστε ένα όνομα για τον δίσκο αυτό, όπως 'Debian 2.1r1 Disk 1'"
+msgstr "Παρακαλώ δώστε ένα όνομα για αυτόν τον δίσκο, όπως 'Debian 5.0.3 Disk 1'"
 
 #: cmdline/apt-cdrom.cc:94
 msgid "Please insert a Disc in the drive and press enter"
 msgstr "Παρακαλώ εισάγετε το δίσκο στη συσκευή και πατήστε enter"
 
 #: cmdline/apt-cdrom.cc:129
-#, fuzzy, c-format
+#, c-format
 msgid "Failed to mount '%s' to '%s'"
-msgstr "Αποτυχία μετονομασίας του %s σε %s"
+msgstr "Αποτυχία σύνδεσης του %s σε %s"
 
 #: cmdline/apt-cdrom.cc:163
 msgid "Repeat this process for the rest of the CDs in your set."
@@ -429,9 +426,8 @@ msgid " [Installed]"
 msgstr " [Εγκατεστημένα]"
 
 #: cmdline/apt-get.cc:677
-#, fuzzy
 msgid " [Not candidate version]"
-msgstr "Υποψήφιες Εκδόσεις"
+msgstr "[Μγ Υποψήφια Εκδόση]"
 
 #: cmdline/apt-get.cc:679
 msgid "You should explicitly select one to install."
@@ -454,30 +450,30 @@ msgid "However the following packages replace it:"
 msgstr "Πάραυτα το ακόλουθο πακέτο το αντικαθιστά:"
 
 #: cmdline/apt-get.cc:712
-#, fuzzy, c-format
+#, c-format
 msgid "Package '%s' has no installation candidate"
-msgstr "Το πακέτο %s δεν είναι υποψήφιο για εγκατάσταση"
+msgstr "Το πακέτο %s δεν έχει υποψήφια εγκατάσταση"
 
 #: cmdline/apt-get.cc:725
 #, c-format
 msgid "Virtual packages like '%s' can't be removed\n"
-msgstr ""
+msgstr "Εικονικά πακέτα όπως το '%s' δεν μπορούν να αφαιρεθούν\n"
 
 #. TRANSLATORS: Note, this is not an interactive question
 #: cmdline/apt-get.cc:737 cmdline/apt-get.cc:940
-#, fuzzy, c-format
+#, c-format
 msgid "Package '%s' is not installed, so not removed. Did you mean '%s'?\n"
-msgstr "Το πακέτο %s δεν είναι εγκατεστημένο και δεν θα αφαιρεθεί\n"
+msgstr "Το πακέτο %s δεν είναι εγκατεστημένο και δεν θα αφαιρεθεί. Εννοείτε '%s'?\n"
 
 #: cmdline/apt-get.cc:743 cmdline/apt-get.cc:946
-#, fuzzy, c-format
+#, c-format
 msgid "Package '%s' is not installed, so not removed\n"
 msgstr "Το πακέτο %s δεν είναι εγκατεστημένο και δεν θα αφαιρεθεί\n"
 
 #: cmdline/apt-get.cc:788
-#, fuzzy, c-format
+#, c-format
 msgid "Note, selecting '%s' instead of '%s'\n"
-msgstr "Σημείωση, επιλέχθηκε το %s αντί του%s\n"
+msgstr "Σημείωση, επιλέχθηκε το %s αντί του %s\n"
 
 #: cmdline/apt-get.cc:818
 #, c-format
@@ -486,10 +482,10 @@ msgstr ""
 "Παράκαμψη του %s, είναι εγκατεστημένο και η αναβάθμιση δεν έχει οριστεί.\n"
 
 #: cmdline/apt-get.cc:822
-#, fuzzy, c-format
+#, c-format
 msgid "Skipping %s, it is not installed and only upgrades are requested.\n"
 msgstr ""
-"Παράκαμψη του %s, είναι εγκατεστημένο και η αναβάθμιση δεν έχει οριστεί.\n"
+"Παράκαμψη του %s, είναι εγκατεστημένο και μόνο αναβαθμίσεις έχουν οριστεί.\n"
 
 #: cmdline/apt-get.cc:834
 #, c-format
@@ -509,14 +505,14 @@ msgid "%s set to manually installed.\n"
 msgstr "το %s έχει εγκατασταθεί με το χέρι\n"
 
 #: cmdline/apt-get.cc:884
-#, fuzzy, c-format
+#, c-format
 msgid "Selected version '%s' (%s) for '%s'\n"
-msgstr "Επιλέχθηκε η έκδοση %s (%s) για το%s\n"
+msgstr "Επιλέχθηκε η έκδοση %s (%s) για το %s\n"
 
 #: cmdline/apt-get.cc:889
-#, fuzzy, c-format
+#, c-format
 msgid "Selected version '%s' (%s) for '%s' because of '%s'\n"
-msgstr "Επιλέχθηκε η έκδοση %s (%s) για το%s\n"
+msgstr "Επιλέχθηκε η έκδοση %s (%s) για το %s λόγω του %s\n"
 
 #: cmdline/apt-get.cc:1025
 msgid "Correcting dependencies..."
@@ -708,9 +704,9 @@ msgid "Ignore unavailable target release '%s' of package '%s'"
 msgstr ""
 
 #: cmdline/apt-get.cc:1591
-#, fuzzy, c-format
+#, c-format
 msgid "Picking '%s' as source package instead of '%s'\n"
-msgstr "Αδύνατη η εύρεση της κατάστασης της λίστας πηγαίων πακέτων %s"
+msgstr "Επιλογή του %s ώς λίστας πηγαίων πακέτων αντί της %s\n"
 
 #. if (VerTag.empty() == false && Last == 0)
 #: cmdline/apt-get.cc:1629
@@ -754,14 +750,13 @@ msgid "Internal Error, AutoRemover broke stuff"
 msgstr "Εσωτερικό Σφάλμα, το AutoRemover δημιούργησε κάποιο πρόβλημα"
 
 #: cmdline/apt-get.cc:1829
-#, fuzzy
 msgid ""
 "The following package was automatically installed and is no longer required:"
 msgid_plural ""
 "The following packages were automatically installed and are no longer "
 "required:"
 msgstr[0] ""
-"Τα ακόλουθα πακέτα εγκαταστάθηκαν αυτόματα και δεν χρειάζονται πλέον:"
+"Το ακόλουθο πακέτο εγκαταστάθηκε αυτόματα και δεν χρειάζεται πλέον:"
 msgstr[1] ""
 "Τα ακόλουθα πακέτα εγκαταστάθηκαν αυτόματα και δεν χρειάζονται πλέον:"
 
@@ -771,15 +766,14 @@ msgid "%lu package was automatically installed and is no longer required.\n"
 msgid_plural ""
 "%lu packages were automatically installed and are no longer required.\n"
 msgstr[0] ""
-"Τα ακόλουθα πακέτα εγκαταστάθηκαν αυτόματα και δεν χρειάζονται πλέον:"
+"%lu το ακόλουθο πακέτο εγκαταστάθηκε αυτόματα και δεν χρειάζεται πλέον:"
 msgstr[1] ""
-"Τα ακόλουθα πακέτα εγκαταστάθηκαν αυτόματα και δεν χρειάζονται πλέον:"
+"%lu τα ακόλουθα πακέτα εγκαταστάθηκαν αυτόματα και δεν χρειάζονται πλέον:"
 
 #: cmdline/apt-get.cc:1835
-#, fuzzy
 msgid "Use 'apt-get autoremove' to remove it."
 msgid_plural "Use 'apt-get autoremove' to remove them."
-msgstr[0] "Χρησιμοποιήστε 'apt-get autoremove' για να τα διαγράψετε."
+msgstr[0] "Χρησιμοποιήστε 'apt-get autoremove' για να το διαγράψετε."
 msgstr[1] "Χρησιμοποιήστε 'apt-get autoremove' για να τα διαγράψετε."
 
 #: cmdline/apt-get.cc:1854
@@ -832,9 +826,9 @@ msgid "Couldn't find package %s"
 msgstr "Αδύνατη η εύρεση του πακέτου %s"
 
 #: cmdline/apt-get.cc:2159 cmdline/apt-mark.cc:70
-#, fuzzy, c-format
+#, c-format
 msgid "%s set to automatically installed.\n"
-msgstr "το %s έχει εγκατασταθεί με το χέρι\n"
+msgstr "το %s έχει εγκατασταθεί αυτόματα\n"
 
 #: cmdline/apt-get.cc:2167 cmdline/apt-mark.cc:114
 msgid ""
@@ -980,12 +974,12 @@ msgid "%s has no build depends.\n"
 msgstr "το %s δεν έχει εξαρτήσεις χτισίματος.\n"
 
 #: cmdline/apt-get.cc:2997
-#, fuzzy, c-format
+#, c-format
 msgid ""
 "%s dependency for %s can't be satisfied because %s is not allowed on '%s' "
 "packages"
 msgstr ""
-"%s εξαρτήσεις για το %s δεν ικανοποιούνται επειδή το πακέτο %s δεν βρέθηκε"
+"%s εξαρτήσεις για το %s δεν ικανοποιούνται επειδή το %s δεν επιτρέπεται στο πακέτο %s"
 
 #: cmdline/apt-get.cc:3015
 #, c-format
@@ -1003,21 +997,22 @@ msgstr ""
 "είναι νεώτερο"
 
 #: cmdline/apt-get.cc:3077
-#, fuzzy, c-format
+#, c-format
 msgid ""
 "%s dependency for %s cannot be satisfied because candidate version of "
 "package %s can't satisfy version requirements"
 msgstr ""
 "%s εξαρτήσεις για το %s δεν ικανοποιούνται επειδή δεν υπάρχουν διαθέσιμες "
-"εκδόσεις του πακέτου %s που να ικανοποιούν τις απαιτήσεις έκδοσης"
+"εκδόσεις του πακέτου %s που να ικανοποιούν τις απαιτήσεις της έκδοσης"
 
 #: cmdline/apt-get.cc:3083
-#, fuzzy, c-format
+#, c-format
 msgid ""
 "%s dependency for %s cannot be satisfied because package %s has no candidate "
 "version"
 msgstr ""
-"%s εξαρτήσεις για το %s δεν ικανοποιούνται επειδή το πακέτο %s δεν βρέθηκε"
+"%s εξαρτήσεις για το %s δεν ικανοποιούνται επειδή το πακέτο %s δεν έχει υποψήφια"
+"έκδοση"
 
 #: cmdline/apt-get.cc:3106
 #, c-format
@@ -1034,9 +1029,9 @@ msgid "Failed to process build dependencies"
 msgstr "Αποτυχία επεξεργασίας εξαρτήσεων χτισίματος"
 
 #: cmdline/apt-get.cc:3220 cmdline/apt-get.cc:3232
-#, fuzzy, c-format
+#, c-format
 msgid "Changelog for %s (%s)"
-msgstr "Σύνδεση στο %s (%s)"
+msgstr "Changelog για %s (%s)"
 
 #: cmdline/apt-get.cc:3355
 msgid "Supported modules:"

+ 135 - 292
po/ja.po

@@ -3,16 +3,16 @@
 # Project Vine, Daisuke SUZUKI <daisuke@linux.or.jp>, 2001-2002
 # Debian Project, Masato Taruishi <taru@debian.org>, 2002
 # Debian Project, Keita Maehara <maehara@debian.org>, 2003
-# Debian Project, Kenshi Muto <kmuto@debian.org>, 2004-2008
+# Debian Project, Kenshi Muto <kmuto@debian.org>, 2004-2012
 msgid ""
 msgstr ""
-"Project-Id-Version: apt 0.8.0~pre1\n"
+"Project-Id-Version: apt 0.9.7.1\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2012-06-27 11:17+0200\n"
-"PO-Revision-Date: 2010-08-25 09:33+0900\n"
+"PO-Revision-Date: 2012-07-01 00:14+0900\n"
 "Last-Translator: Kenshi Muto <kmuto@debian.org>\n"
 "Language-Team: Debian Japanese List <debian-japanese@lists.debian.org>\n"
-"Language: \n"
+"Language: ja\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8 bit\n"
@@ -108,7 +108,7 @@ msgstr "検索パターンはちょうど 1 つだけ指定してください"
 
 #: cmdline/apt-cache.cc:1357
 msgid "This command is deprecated. Please use 'apt-mark showauto' instead."
-msgstr ""
+msgstr "このコマンドは時代遅れです。'apt-mark showauto' を代わりに使用してください。"
 
 #: cmdline/apt-cache.cc:1452 apt-pkg/cacheset.cc:508
 #, c-format
@@ -126,7 +126,7 @@ msgstr "キャッシュが同期しておらず、パッケージファイルを
 #. Show any packages have explicit pins
 #: cmdline/apt-cache.cc:1503
 msgid "Pinned packages:"
-msgstr "Pin パッケージ:"
+msgstr "Pin されたパッケージ:"
 
 #: cmdline/apt-cache.cc:1515 cmdline/apt-cache.cc:1560
 msgid "(not found)"
@@ -162,7 +162,6 @@ msgid "%s %s for %s compiled on %s %s\n"
 msgstr "%s %s for %s コンパイル日時: %s %s\n"
 
 #: cmdline/apt-cache.cc:1686
-#, fuzzy
 msgid ""
 "Usage: apt-cache [options] command\n"
 "       apt-cache [options] showpkg pkg1 [pkg2 ...]\n"
@@ -199,7 +198,6 @@ msgid ""
 "See the apt-cache(8) and apt.conf(5) manual pages for more information.\n"
 msgstr ""
 "使用方法: apt-cache [オプション] コマンド\n"
-"          apt-cache [オプション] add file1 [file2 ...]\n"
 "          apt-cache [オプション] showpkg pkg1 [pkg2 ...]\n"
 "          apt-cache [オプション] showsrc pkg1 [pkg2 ...]\n"
 "\n"
@@ -207,7 +205,6 @@ msgstr ""
 "報を検索したりするための低レベルのツールです\n"
 "\n"
 "コマンド:\n"
-"   add - パッケージファイルをソースキャッシュに追加する\n"
 "   gencaches - パッケージおよびソースキャッシュを生成する\n"
 "   showpkg - 単一パッケージの一般情報を表示する\n"
 "   showsrc - ソースレコードを表示する\n"
@@ -217,7 +214,6 @@ msgstr ""
 "   unmet - 未解決の依存関係を表示する\n"
 "   search - 正規表現パターンによってパッケージ一覧を検索する\n"
 "   show - パッケージの情報を表示する\n"
-"   showauto - 自動的にインストールされたパッケージの一覧を表示する\n"
 "   depends - パッケージの生の依存情報を表示する\n"
 "   rdepends - パッケージの生の逆依存情報を表示する\n"
 "   pkgnames - システム内のすべてのパッケージ名一覧を表示する\n"
@@ -241,7 +237,7 @@ msgstr "このディスクに、'Debian 5.0.3 Disk 1' のような名前を付
 
 #: cmdline/apt-cdrom.cc:94
 msgid "Please insert a Disc in the drive and press enter"
-msgstr "ディスクをドライブに入れて enter を押してください"
+msgstr "ディスクをドライブに入れて Enter キーを押してください"
 
 #: cmdline/apt-cdrom.cc:129
 #, c-format
@@ -283,7 +279,7 @@ msgstr ""
 "オプション:\n"
 "  -h   このヘルプを表示する\n"
 "  -c=? 指定した設定ファイルを読み込む\n"
-"  -o=? 指定した設定オプションを適用する(例: -o dir::cache=/tmp)\n"
+"  -o=? 指定した設定オプションを適用する (例: -o dir::cache=/tmp)\n"
 
 #: cmdline/apt-get.cc:135
 msgid "Y"
@@ -291,7 +287,7 @@ msgstr "Y"
 
 #: cmdline/apt-get.cc:140
 msgid "N"
-msgstr ""
+msgstr "N"
 
 #: cmdline/apt-get.cc:162 apt-pkg/cachefilter.cc:33
 #, c-format
@@ -448,14 +444,14 @@ msgstr "'%s' のような仮想パッケージは削除できません\n"
 
 #. TRANSLATORS: Note, this is not an interactive question
 #: cmdline/apt-get.cc:737 cmdline/apt-get.cc:940
-#, fuzzy, c-format
+#, c-format
 msgid "Package '%s' is not installed, so not removed. Did you mean '%s'?\n"
-msgstr "パッケージ %s はインストールされていないため、削除はできません\n"
+msgstr "パッケージ %s はインストールされていないため、削除はできません。'%s' のことでしょうか?\n"
 
 #: cmdline/apt-get.cc:743 cmdline/apt-get.cc:946
-#, fuzzy, c-format
+#, c-format
 msgid "Package '%s' is not installed, so not removed\n"
-msgstr "パッケージ %s はインストールされていないため、削除はできません\n"
+msgstr "パッケージ '%s' はインストールされていないため、削除はできません\n"
 
 #: cmdline/apt-get.cc:788
 #, c-format
@@ -497,9 +493,9 @@ msgid "Selected version '%s' (%s) for '%s'\n"
 msgstr "'%3$s' にはバージョン '%1$s' (%2$s) を選択しました\n"
 
 #: cmdline/apt-get.cc:889
-#, fuzzy, c-format
+#, c-format
 msgid "Selected version '%s' (%s) for '%s' because of '%s'\n"
-msgstr "'%3$s' にはバージョン '%1$s' (%2$s) を選択しました\n"
+msgstr "'%4$s' のため、'%3$s' にはバージョン '%1$s' (%2$s) を選択しました\n"
 
 #: cmdline/apt-get.cc:1025
 msgid "Correcting dependencies..."
@@ -651,9 +647,7 @@ msgstr "ダウンロードオンリーモードでパッケージのダウンロ
 msgid ""
 "Unable to fetch some archives, maybe run apt-get update or try with --fix-"
 "missing?"
-msgstr ""
-"いくつかのアーカイブが取得できません。apt-get update を実行するか --fix-"
-"missing オプションを付けて試してみてください。"
+msgstr "いくつかのアーカイブを取得できません。apt-get update を実行するか --fix-missing オプションを付けて試してみてください。"
 
 #: cmdline/apt-get.cc:1383
 msgid "--fix-missing and media swapping is not currently supported"
@@ -760,10 +754,9 @@ msgstr[1] ""
 "ん:\n"
 
 #: cmdline/apt-get.cc:1835
-#, fuzzy
 msgid "Use 'apt-get autoremove' to remove it."
 msgid_plural "Use 'apt-get autoremove' to remove them."
-msgstr[0] "これを削除するには 'apt-get autoremove' を利用してください。"
+msgstr[0] "これを削除するには 'apt-get autoremove' を利用してください。"
 msgstr[1] "これらを削除するには 'apt-get autoremove' を利用してください。"
 
 #: cmdline/apt-get.cc:1854
@@ -826,7 +819,7 @@ msgstr "%s は自動でインストールしたと設定されました。\n"
 msgid ""
 "This command is deprecated. Please use 'apt-mark auto' and 'apt-mark manual' "
 "instead."
-msgstr ""
+msgstr "このコマンドは時代遅れです。'apt-mark auto' および 'apt-mark manual' を代わりに使用してください。"
 
 #: cmdline/apt-get.cc:2183
 msgid "Calculating upgrade... "
@@ -851,17 +844,16 @@ msgstr "ダウンロードディレクトリをロックできません"
 #: cmdline/apt-get.cc:2386
 #, c-format
 msgid "Can't find a source to download version '%s' of '%s'"
-msgstr ""
+msgstr "'%2$s' のバージョン '%1$s' をダウンロードするソースが見つかりません"
 
 #: cmdline/apt-get.cc:2391
 #, c-format
 msgid "Downloading %s %s"
-msgstr ""
+msgstr "%s %s をダウンロードしています"
 
 #: cmdline/apt-get.cc:2451
 msgid "Must specify at least one package to fetch source for"
-msgstr ""
-"ソースを取得するには少なくともひとつのパッケージ名を指定する必要があります"
+msgstr "ソースを取得するには少なくとも 1 つのパッケージ名を指定する必要があります"
 
 #: cmdline/apt-get.cc:2491 cmdline/apt-get.cc:2803
 #, c-format
@@ -879,15 +871,14 @@ msgstr ""
 "%s\n"
 
 #: cmdline/apt-get.cc:2513
-#, fuzzy, c-format
+#, c-format
 msgid ""
 "Please use:\n"
 "bzr branch %s\n"
 "to retrieve the latest (possibly unreleased) updates to the package.\n"
 msgstr ""
-"パッケージの最新の (まだリリースされていないかもしれない) 更新を取得するに"
-"は、\n"
-"bzr get %s\n"
+"パッケージの最新の (まだリリースされていないかもしれない) 更新を取得するには、\n"
+"bzr branch %s\n"
 "を使用してください。\n"
 
 #: cmdline/apt-get.cc:2566
@@ -958,7 +949,7 @@ msgstr ""
 msgid ""
 "No architecture information available for %s. See apt.conf(5) APT::"
 "Architectures for setup"
-msgstr ""
+msgstr "%s に利用可能なアーキテクチャ情報がありません。セットアップのために apt.conf(5) の APT::Architectures を参照してください。"
 
 #: cmdline/apt-get.cc:2815 cmdline/apt-get.cc:2818
 #, c-format
@@ -971,13 +962,11 @@ msgid "%s has no build depends.\n"
 msgstr "%s にはビルド依存情報が指定されていません。\n"
 
 #: cmdline/apt-get.cc:2997
-#, fuzzy, c-format
+#, c-format
 msgid ""
 "%s dependency for %s can't be satisfied because %s is not allowed on '%s' "
 "packages"
-msgstr ""
-"パッケージ %3$s が見つからないため、%2$s に対する %1$s の依存関係を満たすこと"
-"ができません"
+msgstr "パッケージ %3$s が '%4$s' パッケージで許されていないため、%2$s に対する %1$s の依存関係を満たすことができません"
 
 #: cmdline/apt-get.cc:3015
 #, c-format
@@ -996,22 +985,18 @@ msgstr ""
 "ケージは新しすぎます"
 
 #: cmdline/apt-get.cc:3077
-#, fuzzy, c-format
+#, c-format
 msgid ""
 "%s dependency for %s cannot be satisfied because candidate version of "
 "package %s can't satisfy version requirements"
-msgstr ""
-"入手可能な %3$s はいずれもバージョンについての要求を満たせないため、%2$s に対"
-"する %1$s の依存関係を満たすことができません"
+msgstr "パッケージ %3$s の候補バージョンはバージョンについての要求を満たせないため、%2$s に対する %1$s の依存関係を満たすことができません"
 
 #: cmdline/apt-get.cc:3083
-#, fuzzy, c-format
+#, c-format
 msgid ""
 "%s dependency for %s cannot be satisfied because package %s has no candidate "
 "version"
-msgstr ""
-"パッケージ %3$s が見つからないため、%2$s に対する %1$s の依存関係を満たすこと"
-"ができません"
+msgstr "パッケージ %3$s の候補バージョンが存在しないため、%2$s に対する %1$s の依存関係を満たすことができません"
 
 #: cmdline/apt-get.cc:3106
 #, c-format
@@ -1028,16 +1013,15 @@ msgid "Failed to process build dependencies"
 msgstr "ビルド依存関係の処理に失敗しました"
 
 #: cmdline/apt-get.cc:3220 cmdline/apt-get.cc:3232
-#, fuzzy, c-format
+#, c-format
 msgid "Changelog for %s (%s)"
-msgstr "%s (%s) へ接続しています"
+msgstr "%s (%s) の変更履歴"
 
 #: cmdline/apt-get.cc:3355
 msgid "Supported modules:"
 msgstr "サポートされているモジュール:"
 
 #: cmdline/apt-get.cc:3396
-#, fuzzy
 msgid ""
 "Usage: apt-get [options] command\n"
 "       apt-get [options] install|remove pkg1 [pkg2 ...]\n"
@@ -1083,8 +1067,7 @@ msgid ""
 "                       This APT has Super Cow Powers.\n"
 msgstr ""
 "使用法: apt-get [オプション] コマンド\n"
-"        apt-get [オプション] install|remove パッケージ名1 [パッケージ名"
-"2 ...]\n"
+"        apt-get [オプション] install|remove パッケージ名1 [パッケージ名2 ...]\n"
 "        apt-get [オプション] source パッケージ名1 [パッケージ名2 ...]\n"
 "\n"
 "apt-get は、パッケージをダウンロード/インストールするための簡単なコマ\n"
@@ -1092,26 +1075,21 @@ msgstr ""
 "と install です。\n"
 "\n"
 "コマンド:\n"
-"   update - 新しいパッケージリストを取得します\n"
-"   upgrade - アップグレードを行います\n"
-"   install - 新規パッケージをインストールします (pkg は libc6.deb ではなく "
-"libc6 のように指定します)\n"
-"   remove - パッケージを削除します\n"
-"   autoremove - 自動インストールされ使われていないすべてのパッケージを削除し"
-"ます\n"
-"   purge - 設定ファイルまで含めてパッケージを削除します\n"
-"   source - ソースアーカイブをダウンロードします\n"
-"   build-dep - ソースパッケージの構築依存関係を設定します\n"
-"   dist-upgrade - ディストリビューションをアップグレードします (apt-get(8) を"
-"参照)\n"
-"   dselect-upgrade - dselect の選択に従います\n"
-"   clean - ダウンロードしたアーカイブファイルを削除します\n"
-"   autoclean - ダウンロードした古いアーカイブファイルを削除します\n"
-"   check -  壊れた依存関係がないかチェックします\n"
-"   markauto - 指定のパッケージを自動インストールされたものとしてマークしま"
-"す\n"
-"   unmarkauto - 指定のパッケージを手動でインストールされたものとしてマークし"
-"ます\n"
+"   update - 新しいパッケージリストを取得する\n"
+"   upgrade - アップグレードを行う\n"
+"   install - 新規パッケージをインストールする (pkg は libc6.deb ではなく libc6 のように指定する)\n"
+"   remove - パッケージを削除する\n"
+"   autoremove - 自動インストールされ使われていないすべてのパッケージを削除する\n"
+"   purge - 設定ファイルまで含めてパッケージを削除する\n"
+"   source - ソースアーカイブをダウンロードする\n"
+"   build-dep - ソースパッケージの構築依存関係を設定する\n"
+"   dist-upgrade - ディストリビューションをアップグレードする (apt-get(8) を参照)\n"
+"   dselect-upgrade - dselect の選択に従う\n"
+"   clean - ダウンロードしたアーカイブファイルを削除する\n"
+"   autoclean - ダウンロードした古いアーカイブファイルを削除する\n"
+"   check -  壊れた依存関係がないかチェックする\n"
+"   changelog - 指定のパッケージの変更履歴をダウンロードして表示する\n"
+"   download - バイナリパッケージをカレントディレクトリにダウンロードする\n"
 "\n"
 "オプション:\n"
 "  -h  このヘルプを表示する\n"
@@ -1126,7 +1104,7 @@ msgstr ""
 "  -b  ソースパッケージを取得し、ビルドを行う\n"
 "  -V  冗長なバージョンナンバを表示する\n"
 "  -c=? 指定した設定ファイルを読み込む\n"
-"  -o=? 任意の設定オプションを指定する, 例 -o dir::cache=/tmp\n"
+"  -o=? 任意の設定オプションを指定する (例 -o dir::cache=/tmp)\n"
 "さらなる情報やオプションについては、マニュアルページ\n"
 "apt-get(8)、sources.list(5)、apt.conf(5) を参照してください。\n"
 "                        この APT は Super Cow Powers 化されています。\n"
@@ -1178,32 +1156,32 @@ msgid ""
 msgstr ""
 "メディア変更: \n"
 " '%s'\n"
-"とラベルの付いたディスクをドライブ '%s' に入れて enter を押してください\n"
+"とラベルの付いたディスクをドライブ '%s' に入れて Enter キーを押してください\n"
 
 #: cmdline/apt-mark.cc:55
-#, fuzzy, c-format
+#, c-format
 msgid "%s can not be marked as it is not installed.\n"
-msgstr "しかし、インストールされていません"
+msgstr "%s をインストールされていないものとしてマークできません\n"
 
 #: cmdline/apt-mark.cc:61
-#, fuzzy, c-format
+#, c-format
 msgid "%s was already set to manually installed.\n"
-msgstr "%s は手動でインストールしたと設定されました。\n"
+msgstr "%s は手動でインストールしたとすでに設定されています。\n"
 
 #: cmdline/apt-mark.cc:63
-#, fuzzy, c-format
+#, c-format
 msgid "%s was already set to automatically installed.\n"
-msgstr "%s は自動でインストールしたと設定されました。\n"
+msgstr "%s は自動でインストールしたとすでに設定されています。\n"
 
 #: cmdline/apt-mark.cc:228
-#, fuzzy, c-format
+#, c-format
 msgid "%s was already set on hold.\n"
-msgstr "%s はすでに最新バージョンです。\n"
+msgstr "%s はすでに保留に設定されています。\n"
 
 #: cmdline/apt-mark.cc:230
-#, fuzzy, c-format
+#, c-format
 msgid "%s was already not hold.\n"
-msgstr "%s はすでに最新バージョンです。\n"
+msgstr "%s はすでに保留されていません。\n"
 
 #: cmdline/apt-mark.cc:245 cmdline/apt-mark.cc:314
 #: apt-pkg/contrib/fileutl.cc:828 apt-pkg/deb/dpkgpm.cc:1002
@@ -1212,18 +1190,18 @@ msgid "Waited for %s but it wasn't there"
 msgstr "%s を待ちましたが、そこにはありませんでした"
 
 #: cmdline/apt-mark.cc:260 cmdline/apt-mark.cc:297
-#, fuzzy, c-format
+#, c-format
 msgid "%s set on hold.\n"
-msgstr "%s は手動でインストールしたと設定されました。\n"
+msgstr "%s は保留に設定されました。\n"
 
 #: cmdline/apt-mark.cc:262 cmdline/apt-mark.cc:302
-#, fuzzy, c-format
+#, c-format
 msgid "Canceled hold on %s.\n"
-msgstr "%s のオープンに失敗しました"
+msgstr "%s の保留を解除しました。\n"
 
 #: cmdline/apt-mark.cc:320
 msgid "Executing dpkg failed. Are you root?"
-msgstr ""
+msgstr "dpkg の実行に失敗しました。root 権限で実行していますか?"
 
 #: cmdline/apt-mark.cc:367
 msgid ""
@@ -1246,6 +1224,24 @@ msgid ""
 "  -o=? Set an arbitrary configuration option, eg -o dir::cache=/tmp\n"
 "See the apt-mark(8) and apt.conf(5) manual pages for more information."
 msgstr ""
+"Usage: apt-mark [オプション] {auto|manual} パッケージ1 [パッケージ2 ...]\n"
+"\n"
+"apt-mark は、パッケージを手動または自動でインストールされたものとしてマーク\n"
+"する簡単なコマンドラインインターフェイスです。マークの一覧表示もできます。\n"
+"\n"
+"コマンド:\n"
+"   auto - 指定のパッケージを自動でインストールされたものとしてマークする\n"
+"   manual - 指定のパッケージを手動でインストールしたものとしてマークする\n"
+"\n"
+"オプション:\n"
+"  -h  このヘルプを表示する\n"
+"  -q  ログファイルに出力可能な形式にする - プログレス表示をしない\n"
+"  -qq エラー以外は表示しない\n"
+"  -s  実際には実行しない。実行シミュレーションのみ行う\n"
+"  -f  指定のファイルを使って自動/手動のマーキングを読み書きする\n"
+"  -c=? 指定した設定ファイルを読み込む\n"
+"  -o=? 任意の設定オプションを指定する (例 -o dir::cache=/tmp)\n"
+"さらなる情報については、マニュアルページ apt-mark(8) および apt.conf(5) を参照してください。"
 
 #: methods/cdrom.cc:203
 #, c-format
@@ -1377,7 +1373,7 @@ msgstr "パッシブソケットに接続できません。"
 
 #: methods/ftp.cc:730
 msgid "getaddrinfo was unable to get a listening socket"
-msgstr "getaddrinfo はリスニングポートを取得することができませんでした"
+msgstr "getaddrinfo はリスニングソケットを取得できませんでした"
 
 #: methods/ftp.cc:744
 msgid "Could not bind a socket"
@@ -1528,7 +1524,7 @@ msgstr "公開鍵を利用できないため、以下の署名は検証できま
 
 #: methods/gzip.cc:65
 msgid "Empty files can't be valid archives"
-msgstr ""
+msgstr "空のファイルは有効なアーカイブと認められません"
 
 #: methods/http.cc:394
 msgid "Waiting for headers"
@@ -1540,19 +1536,19 @@ msgstr "不正なヘッダ行です"
 
 #: methods/http.cc:569 methods/http.cc:576
 msgid "The HTTP server sent an invalid reply header"
-msgstr "http サーバが不正なリプライヘッダを送信してきました"
+msgstr "HTTP サーバが不正なリプライヘッダを送信してきました"
 
 #: methods/http.cc:606
 msgid "The HTTP server sent an invalid Content-Length header"
-msgstr "http サーバが不正な Content-Length ヘッダを送信してきました"
+msgstr "HTTP サーバが不正な Content-Length ヘッダを送信してきました"
 
 #: methods/http.cc:621
 msgid "The HTTP server sent an invalid Content-Range header"
-msgstr "http サーバが不正な Content-Range ヘッダを送信してきました"
+msgstr "HTTP サーバが不正な Content-Range ヘッダを送信してきました"
 
 #: methods/http.cc:623
 msgid "This HTTP server has broken range support"
-msgstr "http サーバのレンジサポートが壊れています"
+msgstr "HTTP サーバのレンジサポートが壊れています"
 
 #: methods/http.cc:647
 msgid "Unknown date format"
@@ -1627,9 +1623,9 @@ msgstr "ミラーファイル '%s' が見つかりません "
 #. FIXME: fallback to a default mirror here instead
 #. and provide a config option to define that default
 #: methods/mirror.cc:287
-#, fuzzy, c-format
+#, c-format
 msgid "Can not read mirror file '%s'"
-msgstr "ミラーファイル '%s' が見つかりません "
+msgstr "ミラーファイル '%s' を読み込めません"
 
 #: methods/mirror.cc:442
 #, c-format
@@ -1669,7 +1665,7 @@ msgstr "不正なデフォルト設定です!"
 #: dselect/install:51 dselect/install:83 dselect/install:87 dselect/install:94
 #: dselect/install:105 dselect/update:45
 msgid "Press enter to continue."
-msgstr "enter を押すと続行します。"
+msgstr "Enter キーを押すと続行します。"
 
 #: dselect/install:91
 msgid "Do you want to erase any previously downloaded .deb files?"
@@ -1981,19 +1977,19 @@ msgid "Unable to open %s"
 msgstr "'%s' をオープンできません"
 
 #: ftparchive/override.cc:61 ftparchive/override.cc:167
-#, fuzzy, c-format
+#, c-format
 msgid "Malformed override %s line %llu #1"
-msgstr "不正な override %s %lu 行目 #1"
+msgstr "不正な override %s %llu 行目 #1"
 
 #: ftparchive/override.cc:75 ftparchive/override.cc:179
-#, fuzzy, c-format
+#, c-format
 msgid "Malformed override %s line %llu #2"
-msgstr "不正な override %s %lu 行目 #2"
+msgstr "不正な override %s %llu 行目 #2"
 
 #: ftparchive/override.cc:89 ftparchive/override.cc:192
-#, fuzzy, c-format
+#, c-format
 msgid "Malformed override %s line %llu #3"
-msgstr "不正な override %s %lu 行目 #3"
+msgstr "不正な override %s %llu 行目 #3"
 
 #: ftparchive/override.cc:128 ftparchive/override.cc:202
 #, c-format
@@ -2046,7 +2042,6 @@ msgid "Failed to rename %s to %s"
 msgstr "%s を %s に名前変更できませんでした"
 
 #: cmdline/apt-internal-solver.cc:37
-#, fuzzy
 msgid ""
 "Usage: apt-internal-solver\n"
 "\n"
@@ -2059,14 +2054,14 @@ msgid ""
 "  -c=? Read this configuration file\n"
 "  -o=? Set an arbitrary configuration option, eg -o dir::cache=/tmp\n"
 msgstr ""
-"使用方法: apt-extracttemplates ファイル名1 [ファイル名2 ...]\n"
+"使用方法: apt-internal-solver\n"
 "\n"
-"apt-extracttemplates は debian パッケージから設定とテンプレート情報を\n"
-"抽出するためのツールです\n"
+"apt-internal-solver は、デバッグなどの用途で、現在の内部リゾルバを\n"
+"APT ファミリの外部リゾルバのように使うためのインターフェイスです。\n"
 "\n"
 "オプション:\n"
 "  -h   このヘルプを表示する\n"
-"  -t   一時ディレクトリを指定する\n"
+"  -q   ログファイルに出力可能な形式にする - プログレス表示をしない\n"
 "  -c=? 指定した設定ファイルを読み込む\n"
 "  -o=? 指定した設定オプションを適用する (例: -o dir::cache=/tmp)\n"
 
@@ -2112,7 +2107,7 @@ msgstr "壊れたアーカイブ"
 
 #: apt-inst/contrib/extracttar.cc:196
 msgid "Tar checksum failed, archive corrupted"
-msgstr "tar チェックサムが失敗しました。アーカイブが壊れています"
+msgstr "tar チェックサム検証が失敗しました。アーカイブが壊れています"
 
 #: apt-inst/contrib/extracttar.cc:303
 #, c-format
@@ -2270,9 +2265,9 @@ msgid "Couldn't duplicate file descriptor %i"
 msgstr "ファイルデスクリプタ %i は重複できません"
 
 #: apt-pkg/contrib/mmap.cc:118
-#, fuzzy, c-format
+#, c-format
 msgid "Couldn't make mmap of %llu bytes"
-msgstr "%lu バイトの mmap ができませんでした"
+msgstr "%llu バイトの mmap ができませんでした"
 
 #: apt-pkg/contrib/mmap.cc:145
 msgid "Unable to close mmap"
@@ -2462,7 +2457,7 @@ msgstr "マウントポイント %s の状態を取得できません"
 
 #: apt-pkg/contrib/cdromutl.cc:224
 msgid "Failed to stat the cdrom"
-msgstr "cdrom の状態を取得するのに失敗しました"
+msgstr "CD-ROM の状態を取得するのに失敗しました"
 
 #: apt-pkg/contrib/fileutl.cc:93
 #, c-format
@@ -2492,23 +2487,23 @@ msgstr "ロック %s が取得できませんでした"
 #: apt-pkg/contrib/fileutl.cc:392 apt-pkg/contrib/fileutl.cc:506
 #, c-format
 msgid "List of files can't be created as '%s' is not a directory"
-msgstr ""
+msgstr "'%s' がディレクトリではないため、ファイルの一覧を作成できません"
 
 #: apt-pkg/contrib/fileutl.cc:426
 #, c-format
 msgid "Ignoring '%s' in directory '%s' as it is not a regular file"
-msgstr ""
+msgstr "ディレクトリ '%2$s' の '%1$s' が通常ファイルではないため、無視します"
 
 #: apt-pkg/contrib/fileutl.cc:444
 #, c-format
 msgid "Ignoring file '%s' in directory '%s' as it has no filename extension"
-msgstr ""
+msgstr "ディレクトリ '%2$s' の '%1$s' がファイル名拡張子を持たないため、無視します"
 
 #: apt-pkg/contrib/fileutl.cc:453
 #, c-format
 msgid ""
 "Ignoring file '%s' in directory '%s' as it has an invalid filename extension"
-msgstr ""
+msgstr "ディレクトリ '%2$s' の '%1$s' が無効なファイル名拡張子を持っているため、無視します"
 
 #: apt-pkg/contrib/fileutl.cc:840
 #, c-format
@@ -2549,14 +2544,14 @@ msgid "Failed to exec compressor "
 msgstr "以下の圧縮ツールの実行に失敗しました: "
 
 #: apt-pkg/contrib/fileutl.cc:1289
-#, fuzzy, c-format
+#, c-format
 msgid "read, still have %llu to read but none left"
-msgstr "読み込みが %lu 残っているはずですが、何も残っていません"
+msgstr "読み込みが %llu 残っているはずですが、何も残っていません"
 
 #: apt-pkg/contrib/fileutl.cc:1378 apt-pkg/contrib/fileutl.cc:1400
-#, fuzzy, c-format
+#, c-format
 msgid "write, still have %llu to write but couldn't"
-msgstr "あと %lu 書き込む必要がありますが、書き込むことができませんでした"
+msgstr "あと %llu 書き込む必要がありますが、書き込むことができませんでした"
 
 #: apt-pkg/contrib/fileutl.cc:1716
 #, c-format
@@ -2590,9 +2585,8 @@ msgid "The package cache file is an incompatible version"
 msgstr "このパッケージキャッシュファイルは互換性がないバージョンです"
 
 #: apt-pkg/pkgcache.cc:162
-#, fuzzy
 msgid "The package cache file is corrupted, it is too small"
-msgstr "パッケージキャッシュファイルが壊れています"
+msgstr "パッケージキャッシュファイルが壊れています。短かすぎます"
 
 #: apt-pkg/pkgcache.cc:167
 #, c-format
@@ -2779,9 +2773,9 @@ msgstr ""
 "Immediate-Configure の項を参照してください。(%d)"
 
 #: apt-pkg/packagemanager.cc:473 apt-pkg/packagemanager.cc:503
-#, fuzzy, c-format
+#, c-format
 msgid "Could not configure '%s'. "
-msgstr "ファイル '%s' をオープンできませんでした"
+msgstr "'%s' を設定できませんでした。"
 
 #: apt-pkg/packagemanager.cc:545
 #, c-format
@@ -2820,13 +2814,10 @@ msgid "Unable to correct problems, you have held broken packages."
 msgstr "問題を解決することができません。壊れた変更禁止パッケージがあります。"
 
 #: apt-pkg/algorithms.cc:1569 apt-pkg/algorithms.cc:1571
-#, fuzzy
 msgid ""
 "Some index files failed to download. They have been ignored, or old ones "
 "used instead."
-msgstr ""
-"いくつかのインデックスファイルのダウンロードに失敗しました。これらは無視され"
-"るか、古いものが代わりに使われます。"
+msgstr "いくつかのインデックスファイルのダウンロードに失敗しました。これらは無視されるか、古いものが代わりに使われます。"
 
 #: apt-pkg/acquire.cc:81
 #, c-format
@@ -2868,9 +2859,7 @@ msgstr "メソッド %s が正常に開始しませんでした"
 #: apt-pkg/acquire-worker.cc:440
 #, c-format
 msgid "Please insert the disc labeled: '%s' in the drive '%s' and press enter."
-msgstr ""
-"'%s' とラベルの付いたディスクをドライブ '%s' に入れて enter を押してくださ"
-"い。"
+msgstr "'%s' とラベルの付いたディスクをドライブ '%s' に入れて Enter キーを押してください。"
 
 #: apt-pkg/init.cc:151
 #, c-format
@@ -2911,7 +2900,7 @@ msgstr "ソースのリストを読むことができません。"
 msgid ""
 "The value '%s' is invalid for APT::Default-Release as such a release is not "
 "available in the sources"
-msgstr ""
+msgstr "APT::Default-Release の 値 '%s' は、そのようなリリースをソース中から利用できないため、無効です"
 
 #: apt-pkg/policy.cc:396
 #, c-format
@@ -2923,7 +2912,7 @@ msgstr ""
 #: apt-pkg/policy.cc:418
 #, c-format
 msgid "Did not understand pin type %s"
-msgstr "pin タイプ %s 理解できませんでした"
+msgstr "pin タイプ %s 理解できませんでした"
 
 #: apt-pkg/policy.cc:426
 msgid "No priority (or zero) specified for pin"
@@ -2943,9 +2932,9 @@ msgstr "キャッシュに非互換なバージョニングシステムがあり
 #: apt-pkg/pkgcachegen.cc:418 apt-pkg/pkgcachegen.cc:423
 #: apt-pkg/pkgcachegen.cc:463 apt-pkg/pkgcachegen.cc:471
 #: apt-pkg/pkgcachegen.cc:502 apt-pkg/pkgcachegen.cc:516
-#, fuzzy, c-format
+#, c-format
 msgid "Error occurred while processing %s (%s%d)"
-msgstr "%s を処理中にエラーが発生しました (FindPkg)"
+msgstr "%s を処理中にエラーが発生しました (%s%d)"
 
 #: apt-pkg/pkgcachegen.cc:234
 msgid "Wow, you exceeded the number of package names this APT is capable of."
@@ -3005,12 +2994,12 @@ msgstr "ハッシュサムが適合しません"
 msgid ""
 "Unable to find expected entry '%s' in Release file (Wrong sources.list entry "
 "or malformed file)"
-msgstr ""
+msgstr "期待されるエントリ '%s' が Release ファイル内に見つかりません (誤った sources.list エントリか、壊れたファイル)"
 
 #: apt-pkg/acquire-item.cc:1386
-#, fuzzy, c-format
+#, c-format
 msgid "Unable to find hash sum for '%s' in Release file"
-msgstr "Release ファイル %s を解釈することができません"
+msgstr "Release ファイル中の '%s' のハッシュサムを見つけられません"
 
 #: apt-pkg/acquire-item.cc:1428
 msgid "There is no public key available for the following key IDs:\n"
@@ -3021,7 +3010,7 @@ msgstr "以下の鍵 ID に対して利用可能な公開鍵がありません:\
 msgid ""
 "Release file for %s is expired (invalid since %s). Updates for this "
 "repository will not be applied."
-msgstr ""
+msgstr "%s の Release ファイルは期限切れ (%s 以来無効) です。このリポジトリからの更新物は適用されません。"
 
 #: apt-pkg/acquire-item.cc:1488
 #, c-format
@@ -3235,7 +3224,7 @@ msgstr "ハッシュサムが適合しません: %s"
 #: apt-pkg/indexcopy.cc:659
 #, c-format
 msgid "File %s doesn't start with a clearsigned message"
-msgstr ""
+msgstr "ファイル %s はクリア署名されたメッセージで始まっていません"
 
 #. TRANSLATOR: %s is the trusted keyring parts directory
 #: apt-pkg/indexcopy.cc:690
@@ -3297,23 +3286,23 @@ msgstr ""
 
 #: apt-pkg/edsp.cc:41 apt-pkg/edsp.cc:61
 msgid "Send scenario to solver"
-msgstr ""
+msgstr "ソルバにシナリオを送信"
 
 #: apt-pkg/edsp.cc:209
 msgid "Send request to solver"
-msgstr ""
+msgstr "ソルバにリクエストを送信"
 
 #: apt-pkg/edsp.cc:277
 msgid "Prepare for receiving solution"
-msgstr ""
+msgstr "解決を受け取る準備"
 
 #: apt-pkg/edsp.cc:284
 msgid "External solver failed without a proper error message"
-msgstr ""
+msgstr "外部ソルバが適切なエラーメッセージなしに失敗しました"
 
 #: apt-pkg/edsp.cc:555 apt-pkg/edsp.cc:558 apt-pkg/edsp.cc:563
 msgid "Execute external solver"
-msgstr ""
+msgstr "外部ソルバを実行"
 
 #: apt-pkg/deb/dpkgpm.cc:73
 #, c-format
@@ -3408,7 +3397,7 @@ msgstr "dpkg を実行しています"
 
 #: apt-pkg/deb/dpkgpm.cc:1411
 msgid "Operation was interrupted before it could finish"
-msgstr ""
+msgstr "操作はそれが完了する前に中断されました"
 
 #: apt-pkg/deb/dpkgpm.cc:1473
 msgid "No apport report written because MaxReports is reached already"
@@ -3478,149 +3467,3 @@ msgstr ""
 #: apt-pkg/deb/debsystem.cc:121
 msgid "Not locked"
 msgstr "ロックされていません"
-
-#~ msgid "Failed to remove %s"
-#~ msgstr "%s の削除に失敗しました"
-
-#~ msgid "Unable to create %s"
-#~ msgstr "%s を作成できません"
-
-#~ msgid "Failed to stat %sinfo"
-#~ msgstr "%sinfo の状態の取得に失敗しました"
-
-#~ msgid "The info and temp directories need to be on the same filesystem"
-#~ msgstr ""
-#~ "info と temp ディレクトリは同じファイルシステム上になければなりません"
-
-#~ msgid "Failed to change to the admin dir %sinfo"
-#~ msgstr "管理ディレクトリ %sinfo への移動に失敗しました"
-
-#~ msgid "Internal error getting a package name"
-#~ msgstr "パッケージ名取得中の内部エラー"
-
-#~ msgid "Reading file listing"
-#~ msgstr "ファイルリストを読み込んでいます"
-
-#~ msgid ""
-#~ "Failed to open the list file '%sinfo/%s'. If you cannot restore this file "
-#~ "then make it empty and immediately re-install the same version of the "
-#~ "package!"
-#~ msgstr ""
-#~ "リストファイル '%sinfo/%s' のオープンに失敗しました。このファイルを元に戻"
-#~ "すことができないなら、その内容を空にして即座に同じバージョンのパッケージを"
-#~ "再インストールしてください!"
-
-#~ msgid "Failed reading the list file %sinfo/%s"
-#~ msgstr "リストファイル %sinfo/%s の読み込みに失敗しました"
-
-#~ msgid "Internal error getting a node"
-#~ msgstr "内部エラー、ノードの取得"
-
-#~ msgid "Failed to open the diversions file %sdiversions"
-#~ msgstr "diversions ファイル %sdiversions のオープンに失敗しました"
-
-#~ msgid "The diversion file is corrupted"
-#~ msgstr "diversion ファイルが壊れています"
-
-#~ msgid "Invalid line in the diversion file: %s"
-#~ msgstr "diversion ファイルに不正な行があります: %s"
-
-#~ msgid "Internal error adding a diversion"
-#~ msgstr "内部エラー、diversion の追加"
-
-#~ msgid "The pkg cache must be initialized first"
-#~ msgstr "最初にパッケージキャッシュを初期化しなければなりません"
-
-#~ msgid "Failed to find a Package: header, offset %lu"
-#~ msgstr "Package: ヘッダを見つけるのに失敗しました。オフセット %lu"
-
-#~ msgid "Bad ConfFile section in the status file. Offset %lu"
-#~ msgstr ""
-#~ "status ファイルに不正な ConfFile セクションがあります。オフセット %lu"
-
-#~ msgid "Error parsing MD5. Offset %lu"
-#~ msgstr "MD5 の解析エラー。オフセット %lu"
-
-#~ msgid "Couldn't change to %s"
-#~ msgstr "%s に変更できませんでした"
-
-#~ msgid "Failed to locate a valid control file"
-#~ msgstr "正しいコントロールファイルを特定できませんでした"
-
-#~ msgid "Couldn't open pipe for %s"
-#~ msgstr "%s に対してパイプを開けませんでした"
-
-#~ msgid "Read error from %s process"
-#~ msgstr "%s プロセスからの読み込みエラー"
-
-#~ msgid "Got a single header line over %u chars"
-#~ msgstr "%u 文字を超える 1 行のヘッダを取得しました"
-
-#~ msgid "Note: This is done automatic and on purpose by dpkg."
-#~ msgstr "注意: これは dpkg により自動でわざと行われれます。"
-
-#~ msgid "Malformed override %s line %lu #1"
-#~ msgstr "不正な override %s %lu 行目 #1"
-
-#~ msgid "Malformed override %s line %lu #2"
-#~ msgstr "不正な override %s %lu 行目 #2"
-
-#~ msgid "Malformed override %s line %lu #3"
-#~ msgstr "不正な override %s %lu 行目 #3"
-
-#~ msgid "decompressor"
-#~ msgstr "展開ツール"
-
-#~ msgid "read, still have %lu to read but none left"
-#~ msgstr "読み込みが %lu 残っているはずですが、何も残っていません"
-
-#~ msgid "write, still have %lu to write but couldn't"
-#~ msgstr "あと %lu 書き込む必要がありますが、書き込むことができませんでした"
-
-#~ msgid ""
-#~ "Could not perform immediate configuration on already unpacked '%s'. "
-#~ "Please see man 5 apt.conf under APT::Immediate-Configure for details."
-#~ msgstr ""
-#~ "展開済みの '%s' への即時設定は動作しません。詳細については man 5 apt.conf "
-#~ "の APT::Immediate-Configure の項を参照してください。"
-
-#~ msgid "Error occurred while processing %s (NewPackage)"
-#~ msgstr "%s を処理中にエラーが発生しました (NewPackage)"
-
-#~ msgid "Error occurred while processing %s (UsePackage1)"
-#~ msgstr "%s を処理中にエラーが発生しました (UsePackage1)"
-
-#~ msgid "Error occurred while processing %s (NewFileDesc1)"
-#~ msgstr "%s を処理中にエラーが発生しました (NewFileDesc1)"
-
-#~ msgid "Error occurred while processing %s (UsePackage2)"
-#~ msgstr "%s を処理中にエラーが発生しました (UsePackage2)"
-
-#~ msgid "Error occurred while processing %s (NewFileVer1)"
-#~ msgstr "%s を処理中にエラーが発生しました (NewFileVer1)"
-
-#~ msgid "Error occurred while processing %s (NewVersion%d)"
-#~ msgstr "%s を処理中にエラーが発生しました (NewVersion%d)"
-
-#~ msgid "Error occurred while processing %s (UsePackage3)"
-#~ msgstr "%s を処理中にエラーが発生しました (UsePackage3)"
-
-#~ msgid "Error occurred while processing %s (NewFileDesc2)"
-#~ msgstr "%s を処理中にエラーが発生しました (NewFileDesc2)"
-
-#~ msgid "Error occurred while processing %s (FindPkg)"
-#~ msgstr "%s を処理中にエラーが発生しました (FindPkg)"
-
-#~ msgid "Error occurred while processing %s (CollectFileProvides)"
-#~ msgstr "%s を処理中にエラーが発生しました (CollectFileProvides)"
-
-#~ msgid "Internal error, could not locate member"
-#~ msgstr "内部エラー、メンバーを特定できません"
-
-#~ msgid "Internal error, group '%s' has no installable pseudo package"
-#~ msgstr ""
-#~ "内部エラー。グループ '%s' にはインストール可能な擬似パッケージがありません"
-
-#~ msgid "Release file expired, ignoring %s (invalid since %s)"
-#~ msgstr ""
-#~ "Release ファイルが期限切れになっているので、%s を無視します (%s 以来無効)"

+ 119 - 100
po/pt.po

@@ -2,13 +2,13 @@
 # Copyright (C) 2004 Free Software Foundation, Inc.
 #
 #
-# Miguel Figueiredo <elmig@debianpt.org>, 2005-2010.
+# Miguel Figueiredo <elmig@debianpt.org>, 2005-2012.
 msgid ""
 msgstr ""
 "Project-Id-Version: apt\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2012-06-27 11:17+0200\n"
-"PO-Revision-Date: 2010-08-28 09:03+0100\n"
+"PO-Revision-Date: 2012-06-29 15:45+0100\n"
 "Last-Translator: Miguel Figueiredo <elmig@debianpt.org>\n"
 "Language-Team: Portuguese <traduz@debianpt.org>\n"
 "Language: pt\n"
@@ -107,7 +107,7 @@ msgstr "Tem de fornecer pelo menos um padrão de busca"
 
 #: cmdline/apt-cache.cc:1357
 msgid "This command is deprecated. Please use 'apt-mark showauto' instead."
-msgstr ""
+msgstr "Este comando foi depreceado. Em vez disso por favor utilize 'apt-mark showauto'."
 
 #: cmdline/apt-cache.cc:1452 apt-pkg/cacheset.cc:508
 #, c-format
@@ -162,7 +162,6 @@ msgid "%s %s for %s compiled on %s %s\n"
 msgstr "%s %s para %s compilado em %s %s\n"
 
 #: cmdline/apt-cache.cc:1686
-#, fuzzy
 msgid ""
 "Usage: apt-cache [options] command\n"
 "       apt-cache [options] showpkg pkg1 [pkg2 ...]\n"
@@ -199,16 +198,13 @@ msgid ""
 "See the apt-cache(8) and apt.conf(5) manual pages for more information.\n"
 msgstr ""
 "Utilização: apt-cache [opções] comando\n"
-"            apt-cache [opções] add ficheiro1 [ficheiro1 ...]\n"
 "            apt-cache [opções] showpkg pacote1 [pacote2 ...]\n"
 "            apt-cache [opções] showsrc pacote1 [pacote2 ...]\n"
 "\n"
-"O apt-cache é uma ferramenta de baixo nível utilizada para manipular\n"
-"os ficheiros de cache binários do APT e para procurar informações\n"
-"neles\n"
+"O apt-cache é uma ferramenta de baixo nível utilizada para questionar\n"
+" informação dos ficheiros de cache binários do APT\n"
 "\n"
 "Comandos:\n"
-"   add - Adicionar um ficheiro de pacote à cache de código-fonte\n"
 "   gencaches - Construir as caches de pacotes e de código-fonte\n"
 "   showpkg - Mostrar informações gerais sobre um pacote\n"
 "   showsrc - Mostrar registos de código-fonte\n"
@@ -218,7 +214,6 @@ msgstr ""
 "   unmet - Mostrar dependências não satisfeitas\n"
 "   search - Procurar na lista de pacotes por um padrão regex\n"
 "   show - Mostrar um registo legível sobre o pacote\n"
-"   showauto - Mostrar a lista dos pacotes automaticamente instalados.\n"
 "   depends - Mostrar informações em bruto de dependências de um pacote\n"
 "   rdepends - Mostrar a informação de dependências inversas de um pacote\n"
 "   pkgnames - Listar o nome de todos os pacotes no sistema\n"
@@ -294,7 +289,7 @@ msgstr "S"
 
 #: cmdline/apt-get.cc:140
 msgid "N"
-msgstr ""
+msgstr "N"
 
 #: cmdline/apt-get.cc:162 apt-pkg/cachefilter.cc:33
 #, c-format
@@ -451,14 +446,14 @@ msgstr "Pacotes virtuais como '%s' não podem ser removidos\n"
 
 #. TRANSLATORS: Note, this is not an interactive question
 #: cmdline/apt-get.cc:737 cmdline/apt-get.cc:940
-#, fuzzy, c-format
+#, c-format
 msgid "Package '%s' is not installed, so not removed. Did you mean '%s'?\n"
-msgstr "O pacote %s não está instalado, por isso não será removido\n"
+msgstr "O pacote '%s' não está instalado, por isso não será removido. Queria dizer '%s'?\n"
 
 #: cmdline/apt-get.cc:743 cmdline/apt-get.cc:946
-#, fuzzy, c-format
+#, c-format
 msgid "Package '%s' is not installed, so not removed\n"
-msgstr "O pacote %s não está instalado, por isso não será removido\n"
+msgstr "O pacote '%s' não está instalado, por isso não será removido\n"
 
 #: cmdline/apt-get.cc:788
 #, c-format
@@ -498,9 +493,9 @@ msgid "Selected version '%s' (%s) for '%s'\n"
 msgstr "Versão seleccionada '%s' (%s) para '%s'\n"
 
 #: cmdline/apt-get.cc:889
-#, fuzzy, c-format
+#, c-format
 msgid "Selected version '%s' (%s) for '%s' because of '%s'\n"
-msgstr "Versão seleccionada '%s' (%s) para '%s'\n"
+msgstr "Versão seleccionada '%s' (%s) para '%s' devido a '%s'\n"
 
 #: cmdline/apt-get.cc:1025
 msgid "Correcting dependencies..."
@@ -757,10 +752,9 @@ msgstr[1] ""
 "Os pacotes %lu foram instalados automaticamente e já não são necessários.\n"
 
 #: cmdline/apt-get.cc:1835
-#, fuzzy
 msgid "Use 'apt-get autoremove' to remove it."
 msgid_plural "Use 'apt-get autoremove' to remove them."
-msgstr[0] "Utilize 'apt-get autoremove' para os remover."
+msgstr[0] "Utilize 'apt-get autoremove' para o remover."
 msgstr[1] "Utilize 'apt-get autoremove' para os remover."
 
 #: cmdline/apt-get.cc:1854
@@ -822,6 +816,8 @@ msgid ""
 "This command is deprecated. Please use 'apt-mark auto' and 'apt-mark manual' "
 "instead."
 msgstr ""
+"Este comando foi depreceado. Em vez disso, por favor utilize 'apt-mark auto' "
+"e 'apt-mark manual'."
 
 #: cmdline/apt-get.cc:2183
 msgid "Calculating upgrade... "
@@ -846,12 +842,12 @@ msgstr "Impossível criar acesso exclusivo ao directório de downloads"
 #: cmdline/apt-get.cc:2386
 #, c-format
 msgid "Can't find a source to download version '%s' of '%s'"
-msgstr ""
+msgstr "Não conseguiu encontrar uma fonte para obter a versão '%s' de '%s'"
 
 #: cmdline/apt-get.cc:2391
 #, c-format
 msgid "Downloading %s %s"
-msgstr ""
+msgstr "A obter %s %s"
 
 #: cmdline/apt-get.cc:2451
 msgid "Must specify at least one package to fetch source for"
@@ -873,14 +869,14 @@ msgstr ""
 "%s\n"
 
 #: cmdline/apt-get.cc:2513
-#, fuzzy, c-format
+#, c-format
 msgid ""
 "Please use:\n"
 "bzr branch %s\n"
 "to retrieve the latest (possibly unreleased) updates to the package.\n"
 msgstr ""
 "Por favor utilize:\n"
-"bzr get %s\n"
+"bzr branch %s\n"
 "para obter as últimas actualizações (possivelmente por lançar) ao pacote.\n"
 
 #: cmdline/apt-get.cc:2566
@@ -953,6 +949,8 @@ msgid ""
 "No architecture information available for %s. See apt.conf(5) APT::"
 "Architectures for setup"
 msgstr ""
+"Nenhuma informação de arquitectura disponível para %s. "
+"Para configuração veja apt.conf(5) APT::Architectures"
 
 #: cmdline/apt-get.cc:2815 cmdline/apt-get.cc:2818
 #, c-format
@@ -966,13 +964,13 @@ msgid "%s has no build depends.\n"
 msgstr "%s não tem dependências de compilação.\n"
 
 #: cmdline/apt-get.cc:2997
-#, fuzzy, c-format
+#, c-format
 msgid ""
 "%s dependency for %s can't be satisfied because %s is not allowed on '%s' "
 "packages"
 msgstr ""
-"a dependência de %s para %s não pôde ser satisfeita porque o pacote %s não "
-"pôde ser encontrado"
+"a dependência de %s por %s não pode ser satisfeita porque %s não é permitido "
+"em pacotes '%s'"
 
 #: cmdline/apt-get.cc:3015
 #, c-format
@@ -991,22 +989,22 @@ msgstr ""
 "demasiado novo"
 
 #: cmdline/apt-get.cc:3077
-#, fuzzy, c-format
+#, , c-format
 msgid ""
 "%s dependency for %s cannot be satisfied because candidate version of "
 "package %s can't satisfy version requirements"
 msgstr ""
-"a dependência de %s para %s não pode ser satisfeita porque nenhuma versão "
-"disponível do pacote %s pode satisfazer os requisitos de versão"
+"a dependência de %s para %s não pode ser satisfeita porque a versão "
+"candidata do pacote %s não pode satisfazer os requisitos de versão"
 
 #: cmdline/apt-get.cc:3083
-#, fuzzy, c-format
+#, c-format
 msgid ""
 "%s dependency for %s cannot be satisfied because package %s has no candidate "
 "version"
 msgstr ""
-"a dependência de %s para %s não pôde ser satisfeita porque o pacote %s não "
-"pôde ser encontrado"
+"a dependência de %s para %s não pode ser satisfeita porque o pacote %s não "
+"tem versão candidata"
 
 #: cmdline/apt-get.cc:3106
 #, c-format
@@ -1023,16 +1021,15 @@ msgid "Failed to process build dependencies"
 msgstr "Falhou processar as dependências de compilação"
 
 #: cmdline/apt-get.cc:3220 cmdline/apt-get.cc:3232
-#, fuzzy, c-format
+#, c-format
 msgid "Changelog for %s (%s)"
-msgstr "A Ligar a %s (%s)"
+msgstr "Changlog para %s (%s)"
 
 #: cmdline/apt-get.cc:3355
 msgid "Supported modules:"
 msgstr "Módulos Suportados:"
 
 #: cmdline/apt-get.cc:3396
-#, fuzzy
 msgid ""
 "Usage: apt-get [options] command\n"
 "       apt-get [options] install|remove pkg1 [pkg2 ...]\n"
@@ -1092,16 +1089,16 @@ msgstr ""
 "   remove - Remover pacotes\n"
 "   autoremove - Remover automaticamente todos os pacotes não utilizados\n"
 "   purge - Remover pacotes e ficheiros de configuração\n"
-"   source - Fazer o download de arquivos de código fonte\n"
-"   build-dep - Configurar as dependências de compilação de pacotes de código "
-"fonte\n"
+"   source - Fazer o download de arquivos de código-fonte\n"
+"   build-dep - Configurar as dependências de compilação de pacotes de "
+"código-fonte\n"
 "   dist-upgrade - Actualizar a distribuição, veja apt-get(8)\n"
 "   dselect-upgrade - Seguir as escolhas feitas no dselect\n"
 "   clean - Apagar ficheiros de arquivo obtidos por download\n"
 "   autoclean - Apagar ficheiros de arquivo antigos obtidos por download\n"
-"   check - Verificar se não existem dependências erradas\n"
-"   markauto - marcar os pacotes indicados como obtidos automaticamente\n"
-"   unmarkauto - desmarcar os pacotes indicadas como instalados manualmente\n"
+"   check - Verificar se existem dependências erradas\n"
+"   changelog - Obter e mostrar o changelog de um pacote\n"
+"   download - Obter o pacote binário para o directório actual\n"
 "\n"
 "Opções:\n"
 "  -h  Este texto de ajuda\n"
@@ -1113,7 +1110,7 @@ msgstr ""
 "  -f  Tentar corrigir um sistema com dependências erradas\n"
 "  -m  Tentar continuar se os arquivos não poderem ser localizados\n"
 "  -u  Mostrar também uma lista de pacotes actualizados\n"
-"  -b  Construir o pacote de código fonte depois de o obter\n"
+"  -b  Construir o pacote de código-fonte depois de o obter\n"
 "  -V  Mostrar números da versão detalhados\n"
 "  -c=? Ler este ficheiro de configuração\n"
 "  -o=? Definir uma opção de configuração arbitrária, p.e. -o dir::cache=/"
@@ -1172,29 +1169,29 @@ msgstr ""
 "no leitor '%s' e pressione enter\n"
 
 #: cmdline/apt-mark.cc:55
-#, fuzzy, c-format
+#, c-format
 msgid "%s can not be marked as it is not installed.\n"
-msgstr "mas não está instalado"
+msgstr "%s não pode ser marcado pois não está instalado.\n"
 
 #: cmdline/apt-mark.cc:61
-#, fuzzy, c-format
+#, c-format
 msgid "%s was already set to manually installed.\n"
-msgstr "%s está definido para ser instalado manualmente.\n"
+msgstr "%s já estava definido para ser instalado manualmente.\n"
 
 #: cmdline/apt-mark.cc:63
-#, fuzzy, c-format
+#, c-format
 msgid "%s was already set to automatically installed.\n"
-msgstr "%s está definido para ser instalado automaticamente.\n"
+msgstr "%s já estava definido para ser instalado automaticamente.\n"
 
 #: cmdline/apt-mark.cc:228
-#, fuzzy, c-format
+#, c-format
 msgid "%s was already set on hold.\n"
-msgstr "%s já está na versão mais recente.\n"
+msgstr "%s já estava marcado para manter.\n"
 
 #: cmdline/apt-mark.cc:230
-#, fuzzy, c-format
+#, c-format
 msgid "%s was already not hold.\n"
-msgstr "%s já está na versão mais recente.\n"
+msgstr "%s já estava para não manter.\n"
 
 #: cmdline/apt-mark.cc:245 cmdline/apt-mark.cc:314
 #: apt-pkg/contrib/fileutl.cc:828 apt-pkg/deb/dpkgpm.cc:1002
@@ -1203,18 +1200,18 @@ msgid "Waited for %s but it wasn't there"
 msgstr "Esperou por %s mas não estava lá"
 
 #: cmdline/apt-mark.cc:260 cmdline/apt-mark.cc:297
-#, fuzzy, c-format
+#, c-format
 msgid "%s set on hold.\n"
-msgstr "%s está definido para ser instalado manualmente.\n"
+msgstr "%s marcado para manter.\n"
 
 #: cmdline/apt-mark.cc:262 cmdline/apt-mark.cc:302
-#, fuzzy, c-format
+#, c-format
 msgid "Canceled hold on %s.\n"
-msgstr "Falhou abrir %s"
+msgstr "Cancelou manter em %s.\n"
 
 #: cmdline/apt-mark.cc:320
 msgid "Executing dpkg failed. Are you root?"
-msgstr ""
+msgstr "Falhou executar dpkg. É root?"
 
 #: cmdline/apt-mark.cc:367
 msgid ""
@@ -1237,6 +1234,24 @@ msgid ""
 "  -o=? Set an arbitrary configuration option, eg -o dir::cache=/tmp\n"
 "See the apt-mark(8) and apt.conf(5) manual pages for more information."
 msgstr ""
+"Utilização: apt-mark [opções] {auto|manual} pacote1 [pacote2...]\n"
+"\n"
+"apt-mark é um interface simples de linha de comandos para marcar pacotes "
+"como instalados de forma manual ou automática. Pode também listar marcações.\n"
+"\n"
+"Comandos:\n"
+"   auto - Marca os pacotes como instalados automaticamente\n"
+"   manual - Marca os pacotes como instalados manualmente\n"
+"\n"
+"Opções:\n"
+"   -h	Este texto de ajuda.\n"
+"   -q	Saída para registo - sem indicador de progresso\n"
+"   -qq Sem saída excepto para erros\n"
+"   -s	Não fazer. Apenas escreve o que seria feito.\n"
+"   -f	ler/escrever marcação auto/manual no ficheiro indicado\n"
+"   -c=? Ler este ficheiro de configuração\n"
+"   -o=? Definir uma opção de configuração arbitrária, p.e. -o dir::cache=/tmp\n"
+"Para mais informações veja as páginas apt-mark(8) e apt.conf(5) do manual."
 
 #: methods/cdrom.cc:203
 #, c-format
@@ -1523,7 +1538,7 @@ msgstr ""
 
 #: methods/gzip.cc:65
 msgid "Empty files can't be valid archives"
-msgstr ""
+msgstr "Ficheiros vazios não podem ser arquivos válidos"
 
 #: methods/http.cc:394
 msgid "Waiting for headers"
@@ -1622,9 +1637,9 @@ msgstr "Não foi encontrado ficheiro de mirror '%s'"
 #. FIXME: fallback to a default mirror here instead
 #. and provide a config option to define that default
 #: methods/mirror.cc:287
-#, fuzzy, c-format
+#, c-format
 msgid "Can not read mirror file '%s'"
-msgstr "Não foi encontrado ficheiro de mirror '%s'"
+msgstr "Não pode ler ficheiro de mirror '%s'"
 
 #: methods/mirror.cc:442
 #, c-format
@@ -1982,19 +1997,19 @@ msgid "Unable to open %s"
 msgstr "Não foi possível abrir %s"
 
 #: ftparchive/override.cc:61 ftparchive/override.cc:167
-#, fuzzy, c-format
+#, c-format
 msgid "Malformed override %s line %llu #1"
-msgstr "Override %s malformado linha %lu #1"
+msgstr "Override %s malformado linha %llu #1"
 
 #: ftparchive/override.cc:75 ftparchive/override.cc:179
-#, fuzzy, c-format
+#, c-format
 msgid "Malformed override %s line %llu #2"
-msgstr "Override %s malformado linha %lu #2"
+msgstr "Override %s malformado linha %llu #2"
 
 #: ftparchive/override.cc:89 ftparchive/override.cc:192
-#, fuzzy, c-format
+#, c-format
 msgid "Malformed override %s line %llu #3"
-msgstr "Override %s malformado linha %lu #3"
+msgstr "Override %s malformado linha %llu #3"
 
 #: ftparchive/override.cc:128 ftparchive/override.cc:202
 #, c-format
@@ -2047,7 +2062,6 @@ msgid "Failed to rename %s to %s"
 msgstr "Falhou renomear %s para %s"
 
 #: cmdline/apt-internal-solver.cc:37
-#, fuzzy
 msgid ""
 "Usage: apt-internal-solver\n"
 "\n"
@@ -2060,17 +2074,16 @@ msgid ""
 "  -c=? Read this configuration file\n"
 "  -o=? Set an arbitrary configuration option, eg -o dir::cache=/tmp\n"
 msgstr ""
-"Utilização: apt-extracttemplates ficheiro1 [ficheiro2 ...]\n"
+"Utilização: apt-internal-solver\n"
 "\n"
-"O apt-extracttemplates é uma ferramenta para extrair configuração\n"
-"e informação de template de pacotes debian.\n"
+"O apt-internal-solver é um interface para utilizar o actual interno como um\n"
+" resolvedor externo para a família APT para depuração ou semelhante.\n"
 "\n"
 "Opções:\n"
-"  -h   Este texto de ajuda\n"
-"  -t   Definir o directório temporário\n"
+"  -h  Este texto de ajuda.\n"
+"  -q  Saída para registo - sem indicador de progresso\n"
 "  -c=? Ler este ficheiro de configuração\n"
-"  -o=? Definir uma opção arbitrária de configuração, p.e.: -o dir::cache=/"
-"tmp\n"
+"  -o=? Definir uma opção de configuração arbitrária, p.e. dir::cache=/tmp\n"
 
 #: cmdline/apt-sortpkgs.cc:89
 msgid "Unknown package record!"
@@ -2270,9 +2283,9 @@ msgid "Couldn't duplicate file descriptor %i"
 msgstr "Não foi possível duplicar o descritor de ficheiro %i"
 
 #: apt-pkg/contrib/mmap.cc:118
-#, fuzzy, c-format
+#, c-format
 msgid "Couldn't make mmap of %llu bytes"
-msgstr "Não foi possível fazer mmap de %lu bytes"
+msgstr "Não foi possível fazer mmap de %llu bytes"
 
 #: apt-pkg/contrib/mmap.cc:145
 msgid "Unable to close mmap"
@@ -2499,23 +2512,25 @@ msgstr "Não foi possível obter acesso exclusivo a %s"
 #: apt-pkg/contrib/fileutl.cc:392 apt-pkg/contrib/fileutl.cc:506
 #, c-format
 msgid "List of files can't be created as '%s' is not a directory"
-msgstr ""
+msgstr "Lista de ficheiros que não podem ser criados porque '%s' não é um directório"
 
 #: apt-pkg/contrib/fileutl.cc:426
 #, c-format
 msgid "Ignoring '%s' in directory '%s' as it is not a regular file"
-msgstr ""
+msgstr "A ignorar '%s' no directório '%s' porque não é um ficheiro normal"
 
 #: apt-pkg/contrib/fileutl.cc:444
 #, c-format
 msgid "Ignoring file '%s' in directory '%s' as it has no filename extension"
-msgstr ""
+msgstr "A ignorar o ficheiro '%s' no directório '%s' porque não tem extensão no nome do ficheiro"
 
 #: apt-pkg/contrib/fileutl.cc:453
 #, c-format
 msgid ""
 "Ignoring file '%s' in directory '%s' as it has an invalid filename extension"
 msgstr ""
+"A ignorar o ficheiro '%s' no directório '%s' porque tem uma extensão inválida "
+"no nome do ficheiro"
 
 #: apt-pkg/contrib/fileutl.cc:840
 #, c-format
@@ -2556,14 +2571,14 @@ msgid "Failed to exec compressor "
 msgstr "Falhou executar compactador "
 
 #: apt-pkg/contrib/fileutl.cc:1289
-#, fuzzy, c-format
+#, c-format
 msgid "read, still have %llu to read but none left"
-msgstr "lido, ainda restam %lu para serem lidos mas não resta nenhum"
+msgstr "lidos, ainda restam %llu para serem lidos mas não resta nenhum"
 
 #: apt-pkg/contrib/fileutl.cc:1378 apt-pkg/contrib/fileutl.cc:1400
-#, fuzzy, c-format
+#, c-format
 msgid "write, still have %llu to write but couldn't"
-msgstr "escrito, ainda restam %lu para escrever mas não foi possível"
+msgstr "escritos, ainda restam %llu para escrever mas não foi possível"
 
 #: apt-pkg/contrib/fileutl.cc:1716
 #, c-format
@@ -2597,9 +2612,8 @@ msgid "The package cache file is an incompatible version"
 msgstr "O ficheiro de cache de pacotes é de uma versão incompatível"
 
 #: apt-pkg/pkgcache.cc:162
-#, fuzzy
 msgid "The package cache file is corrupted, it is too small"
-msgstr "O ficheiro de cache de pacotes está corrompido"
+msgstr "O ficheiro de cache de pacotes está corrompido, é demasiado pequeno"
 
 #: apt-pkg/pkgcache.cc:167
 #, c-format
@@ -2785,9 +2799,9 @@ msgstr ""
 "por favor veja man 5 apt.conf em APT::Immediate-Configure. (%d)"
 
 #: apt-pkg/packagemanager.cc:473 apt-pkg/packagemanager.cc:503
-#, fuzzy, c-format
+#, c-format
 msgid "Could not configure '%s'. "
-msgstr "Não foi possível abrir ficheiro o '%s'"
+msgstr "Não pode configurar '%s'. "
 
 #: apt-pkg/packagemanager.cc:545
 #, c-format
@@ -2829,12 +2843,11 @@ msgstr ""
 "estragados."
 
 #: apt-pkg/algorithms.cc:1569 apt-pkg/algorithms.cc:1571
-#, fuzzy
 msgid ""
 "Some index files failed to download. They have been ignored, or old ones "
 "used instead."
 msgstr ""
-"Falhou o download de alguns ficheiros de índice, foram ignorados ou os "
+"Falhou o download de alguns ficheiros de índice. Foram ignorados ou os "
 "antigos foram usados em seu lugar."
 
 #: apt-pkg/acquire.cc:81
@@ -2919,6 +2932,8 @@ msgid ""
 "The value '%s' is invalid for APT::Default-Release as such a release is not "
 "available in the sources"
 msgstr ""
+"O valor '%s' é inválido para APT::Default-Release porque tal lançamento não "
+"está disponível nas fontes"
 
 #: apt-pkg/policy.cc:396
 #, c-format
@@ -2948,9 +2963,9 @@ msgstr "A cache possui um sistema de versões incompatível"
 #: apt-pkg/pkgcachegen.cc:418 apt-pkg/pkgcachegen.cc:423
 #: apt-pkg/pkgcachegen.cc:463 apt-pkg/pkgcachegen.cc:471
 #: apt-pkg/pkgcachegen.cc:502 apt-pkg/pkgcachegen.cc:516
-#, fuzzy, c-format
+#, c-format
 msgid "Error occurred while processing %s (%s%d)"
-msgstr "Ocorreu um erro ao processar %s (FindPkg)"
+msgstr "Ocorreu um erro ao processar %s (%s%d)"
 
 #: apt-pkg/pkgcachegen.cc:234
 msgid "Wow, you exceeded the number of package names this APT is capable of."
@@ -3017,11 +3032,13 @@ msgid ""
 "Unable to find expected entry '%s' in Release file (Wrong sources.list entry "
 "or malformed file)"
 msgstr ""
+"Incapaz de encontrar a entrada '%s' esperada no ficheiro Release (entrada "
+"errada em sources.list ou ficheiro malformado)"
 
 #: apt-pkg/acquire-item.cc:1386
-#, fuzzy, c-format
+#, c-format
 msgid "Unable to find hash sum for '%s' in Release file"
-msgstr "Não foi possível fazer parse ao ficheiro Release %s"
+msgstr "Não foi possível encontrar hash sum para '%s' no ficheiro Release"
 
 #: apt-pkg/acquire-item.cc:1428
 msgid "There is no public key available for the following key IDs:\n"
@@ -3035,6 +3052,8 @@ msgid ""
 "Release file for %s is expired (invalid since %s). Updates for this "
 "repository will not be applied."
 msgstr ""
+"O ficheiro Release para %s está expirado (inválido desde %s). Não serão "
+"aplicadas as actualizações para este repositório."
 
 #: apt-pkg/acquire-item.cc:1488
 #, c-format
@@ -3248,7 +3267,7 @@ msgstr "Hash não coincide para: %s"
 #: apt-pkg/indexcopy.cc:659
 #, c-format
 msgid "File %s doesn't start with a clearsigned message"
-msgstr ""
+msgstr "O ficheiro %s não começa com uma mensagem assinada"
 
 #. TRANSLATOR: %s is the trusted keyring parts directory
 #: apt-pkg/indexcopy.cc:690
@@ -3314,23 +3333,23 @@ msgstr ""
 
 #: apt-pkg/edsp.cc:41 apt-pkg/edsp.cc:61
 msgid "Send scenario to solver"
-msgstr ""
+msgstr "Enviar cenário a resolver"
 
 #: apt-pkg/edsp.cc:209
 msgid "Send request to solver"
-msgstr ""
+msgstr "Enviar pedido para resolvedor"
 
 #: apt-pkg/edsp.cc:277
 msgid "Prepare for receiving solution"
-msgstr ""
+msgstr "Preparar para receber solução"
 
 #: apt-pkg/edsp.cc:284
 msgid "External solver failed without a proper error message"
-msgstr ""
+msgstr "O resolvedor externo falhou sem uma mensagem de erro adequada"
 
 #: apt-pkg/edsp.cc:555 apt-pkg/edsp.cc:558 apt-pkg/edsp.cc:563
 msgid "Execute external solver"
-msgstr ""
+msgstr "Executar resolvedor externo"
 
 #: apt-pkg/deb/dpkgpm.cc:73
 #, c-format
@@ -3425,7 +3444,7 @@ msgstr "A correr o dpkg"
 
 #: apt-pkg/deb/dpkgpm.cc:1411
 msgid "Operation was interrupted before it could finish"
-msgstr ""
+msgstr "A operação foi interrompida antes de poder terminar"
 
 #: apt-pkg/deb/dpkgpm.cc:1473
 msgid "No apport report written because MaxReports is reached already"

+ 52 - 49
po/ru.po

@@ -11,17 +11,17 @@
 # Yuri Kozlov <yuray@komyakino.ru>, 2009, 2010, 2012.
 msgid ""
 msgstr ""
-"Project-Id-Version: apt 0.8.15.9\n"
+"Project-Id-Version: apt rev2227.1.3\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2012-06-27 11:17+0200\n"
-"PO-Revision-Date: 2012-01-06 10:36+0400\n"
+"PO-Revision-Date: 2012-06-30 08:47+0400\n"
 "Last-Translator: Yuri Kozlov <yuray@komyakino.ru>\n"
 "Language-Team: Russian <debian-l10n-russian@lists.debian.org>\n"
 "Language: ru\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 1.0\n"
+"X-Generator: Lokalize 1.2\n"
 "Plural-Forms:  nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n"
 "%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
 "10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
@@ -33,7 +33,7 @@ msgstr "Пакет %s версии %s имеет неудовлетворённ
 
 #: cmdline/apt-cache.cc:286
 msgid "Total package names: "
-msgstr "Всего имён пакетов : "
+msgstr "Всего имён пакетов: "
 
 #: cmdline/apt-cache.cc:288
 msgid "Total package structures: "
@@ -295,7 +295,7 @@ msgstr "д"
 
 #: cmdline/apt-get.cc:140
 msgid "N"
-msgstr ""
+msgstr "н"
 
 #: cmdline/apt-get.cc:162 apt-pkg/cachefilter.cc:33
 #, c-format
@@ -453,14 +453,16 @@ msgstr "Виртуальные пакеты, подобные «%s», не мо
 
 #. TRANSLATORS: Note, this is not an interactive question
 #: cmdline/apt-get.cc:737 cmdline/apt-get.cc:940
-#, fuzzy, c-format
+#, c-format
 msgid "Package '%s' is not installed, so not removed. Did you mean '%s'?\n"
-msgstr "Пакет %s не установлен, поэтому не может быть удалён\n"
+msgstr ""
+"Пакет «%s» не установлен, поэтому не может быть удалён. "
+"Возможно имелся в виду «%s»?\n"
 
 #: cmdline/apt-get.cc:743 cmdline/apt-get.cc:946
-#, fuzzy, c-format
+#, c-format
 msgid "Package '%s' is not installed, so not removed\n"
-msgstr "Пакет %s не установлен, поэтому не может быть удалён\n"
+msgstr "Пакет «%s» не установлен, поэтому не может быть удалён\n"
 
 #: cmdline/apt-get.cc:788
 #, c-format
@@ -569,7 +571,7 @@ msgstr "Внутренняя ошибка, Ordering не завершилась"
 
 #: cmdline/apt-get.cc:1189
 msgid "How odd.. The sizes didn't match, email apt@packages.debian.org"
-msgstr "Странно.. Несовпадение размеров, напишите на apt@packages.debian.org"
+msgstr "Странно. Несовпадение размеров, напишите на apt@packages.debian.org"
 
 #. TRANSLATOR: The required space between number and unit is already included
 #. in the replacement strings, so %sB will be correctly translate in e.g. 1,5 MB
@@ -654,7 +656,7 @@ msgstr "Некоторые файлы скачать не удалось"
 
 #: cmdline/apt-get.cc:1373 cmdline/apt-get.cc:2666
 msgid "Download complete and in download only mode"
-msgstr "Указан режим \"только скачивание\", и скачивание завершено"
+msgstr "Указан режим «только скачивание», и скачивание завершено"
 
 #: cmdline/apt-get.cc:1379
 msgid ""
@@ -769,10 +771,9 @@ msgstr[1] "%lu пакета было установлено автоматиче
 msgstr[2] "%lu пакетов было установлены автоматически и больше не требуются.\n"
 
 #: cmdline/apt-get.cc:1835
-#, fuzzy
 msgid "Use 'apt-get autoremove' to remove it."
 msgid_plural "Use 'apt-get autoremove' to remove them."
-msgstr[0] "Для их удаления используйте «apt-get autoremove»."
+msgstr[0] "Для его удаления используйте «apt-get autoremove»."
 msgstr[1] "Для их удаления используйте «apt-get autoremove»."
 msgstr[2] "Для их удаления используйте «apt-get autoremove»."
 
@@ -862,7 +863,7 @@ msgstr "Невозможно заблокировать каталог, куда
 #: cmdline/apt-get.cc:2386
 #, c-format
 msgid "Can't find a source to download version '%s' of '%s'"
-msgstr ""
+msgstr "Невозможно найти источник для загрузки «%2$s» версии «%1$s»"
 
 #: cmdline/apt-get.cc:2391
 #, c-format
@@ -889,14 +890,14 @@ msgstr ""
 "%s\n"
 
 #: cmdline/apt-get.cc:2513
-#, fuzzy, c-format
+#, c-format
 msgid ""
 "Please use:\n"
 "bzr branch %s\n"
 "to retrieve the latest (possibly unreleased) updates to the package.\n"
 msgstr ""
 "Используйте:\n"
-"bzr get %s\n"
+"bzr branch %s\n"
 "для получения последних (возможно не выпущенных) обновлений пакета.\n"
 
 #: cmdline/apt-get.cc:2566
@@ -2025,24 +2026,24 @@ msgid "Unable to open %s"
 msgstr "Не удалось открыть %s"
 
 #: ftparchive/override.cc:61 ftparchive/override.cc:167
-#, fuzzy, c-format
+#, c-format
 msgid "Malformed override %s line %llu #1"
-msgstr "Неправильная запись о переназначении (override) %s на строке %lu #1"
+msgstr "Неправильная запись о переназначении (override) %s в строке %llu #1"
 
 #: ftparchive/override.cc:75 ftparchive/override.cc:179
-#, fuzzy, c-format
+#, c-format
 msgid "Malformed override %s line %llu #2"
-msgstr "Неправильная запись о переназначении (override) %s на строке %lu #2"
+msgstr "Неправильная запись о переназначении (override) %s в строке %llu #2"
 
 #: ftparchive/override.cc:89 ftparchive/override.cc:192
-#, fuzzy, c-format
+#, c-format
 msgid "Malformed override %s line %llu #3"
-msgstr "Неправильная запись о переназначении (override) %s на строке %lu #3"
+msgstr "Неправильная запись о переназначении (override) %s в строке %llu #3"
 
 #: ftparchive/override.cc:128 ftparchive/override.cc:202
 #, c-format
 msgid "Failed to read the override file %s"
-msgstr "Не удалось прочесть файл переназначений (override)%s"
+msgstr "Не удалось прочесть файл переназначений (override) %s"
 
 #: ftparchive/multicompress.cc:70
 #, c-format
@@ -2091,7 +2092,6 @@ msgid "Failed to rename %s to %s"
 msgstr "Не удалось переименовать %s в %s"
 
 #: cmdline/apt-internal-solver.cc:37
-#, fuzzy
 msgid ""
 "Usage: apt-internal-solver\n"
 "\n"
@@ -2104,13 +2104,14 @@ msgid ""
 "  -c=? Read this configuration file\n"
 "  -o=? Set an arbitrary configuration option, eg -o dir::cache=/tmp\n"
 msgstr ""
-"Использование: apt-extracttemplates файл1 [файл2…]\n"
+"Использование: apt-internal-solver\n"
 "\n"
-"apt-extracttemplates извлекает из пакетов Debian данные config и template\n"
+"apt-internal-solver — интерфейс к внутреннему решателю, предназначен\n"
+"для отладки, подобен интерфейсу внешнего решателя семейства APT\n"
 "\n"
 "Параметры:\n"
 "  -h   Этот текст\n"
-"  -t   Задать каталог для временных файлов\n"
+"  -q   Вывод протокола работы — индикатор выполнения отключён\n"
 "  -c=? Читать указанный файл настройки\n"
 "  -o=? Задать значение произвольной настройке, например, -o dir::cache=/tmp\n"
 
@@ -2313,9 +2314,9 @@ msgid "Couldn't duplicate file descriptor %i"
 msgstr "Не удалось сделать копию файлового дескриптора %i"
 
 #: apt-pkg/contrib/mmap.cc:118
-#, fuzzy, c-format
+#, c-format
 msgid "Couldn't make mmap of %llu bytes"
-msgstr "Невозможно отобразить в память %lu байт"
+msgstr "Невозможно отобразить в память %llu байт"
 
 #: apt-pkg/contrib/mmap.cc:145
 msgid "Unable to close mmap"
@@ -2603,15 +2604,15 @@ msgid "Failed to exec compressor "
 msgstr "Не удалось выполнить компрессор "
 
 #: apt-pkg/contrib/fileutl.cc:1289
-#, fuzzy, c-format
+#, c-format
 msgid "read, still have %llu to read but none left"
 msgstr ""
-"ошибка при чтении. собирались прочесть ещё %lu байт, но ничего больше нет"
+"ошибка при чтении; собирались прочесть ещё %llu байт, но ничего больше нет"
 
 #: apt-pkg/contrib/fileutl.cc:1378 apt-pkg/contrib/fileutl.cc:1400
-#, fuzzy, c-format
+#, c-format
 msgid "write, still have %llu to write but couldn't"
-msgstr "ошибка при записи, собирались записать ещё %lu байт, но не смогли"
+msgstr "ошибка при записи; собирались записать ещё %llu байт, но не смогли"
 
 #: apt-pkg/contrib/fileutl.cc:1716
 #, c-format
@@ -2645,9 +2646,8 @@ msgid "The package cache file is an incompatible version"
 msgstr "Не поддерживаемая версия кэша пакетов"
 
 #: apt-pkg/pkgcache.cc:162
-#, fuzzy
 msgid "The package cache file is corrupted, it is too small"
-msgstr "Кэш пакетов повреждён"
+msgstr "Кэш пакетов повреждён, он слишком мал"
 
 #: apt-pkg/pkgcache.cc:167
 #, c-format
@@ -2834,9 +2834,9 @@ msgstr ""
 "apt.conf о APT::Immediate-Configure. (%d)"
 
 #: apt-pkg/packagemanager.cc:473 apt-pkg/packagemanager.cc:503
-#, fuzzy, c-format
+#, c-format
 msgid "Could not configure '%s'. "
-msgstr "Не удалось открыть файл «%s»"
+msgstr "Не удалось настроить «%s»."
 
 #: apt-pkg/packagemanager.cc:545
 #, c-format
@@ -2992,26 +2992,29 @@ msgstr "Кэш имеет несовместимую систему версий
 #: apt-pkg/pkgcachegen.cc:418 apt-pkg/pkgcachegen.cc:423
 #: apt-pkg/pkgcachegen.cc:463 apt-pkg/pkgcachegen.cc:471
 #: apt-pkg/pkgcachegen.cc:502 apt-pkg/pkgcachegen.cc:516
-#, fuzzy, c-format
+#, c-format
 msgid "Error occurred while processing %s (%s%d)"
-msgstr "Произошла ошибка во время обработки %s (FindPkg)"
+msgstr "Произошла ошибка во время обработки %s (%s%d)"
 
 #: apt-pkg/pkgcachegen.cc:234
 msgid "Wow, you exceeded the number of package names this APT is capable of."
-msgstr "Превышено допустимое количество имён пакетов."
+msgstr ""
+"Превышено допустимое количество имён пакетов, которое способен обработать APT."
 
 #: apt-pkg/pkgcachegen.cc:237
 msgid "Wow, you exceeded the number of versions this APT is capable of."
-msgstr "Превышено допустимое количество версий."
+msgstr ""
+"Превышено допустимое количество версий, которое способен обработать APT."
 
 #: apt-pkg/pkgcachegen.cc:240
 msgid "Wow, you exceeded the number of descriptions this APT is capable of."
 msgstr ""
-"Вах, превышено допустимое количество описаний, с которым может работать APT."
+"Превышено допустимое количество описаний, которое способен обработать APT."
 
 #: apt-pkg/pkgcachegen.cc:243
 msgid "Wow, you exceeded the number of dependencies this APT is capable of."
-msgstr "Превышено допустимое количество зависимостей."
+msgstr ""
+"Превышено допустимое количество зависимостей, которое способен обработать APT."
 
 #: apt-pkg/pkgcachegen.cc:523
 #, c-format
@@ -3351,23 +3354,23 @@ msgstr ""
 
 #: apt-pkg/edsp.cc:41 apt-pkg/edsp.cc:61
 msgid "Send scenario to solver"
-msgstr ""
+msgstr "Отправка сценария решателю"
 
 #: apt-pkg/edsp.cc:209
 msgid "Send request to solver"
-msgstr ""
+msgstr "Отправка запроса решателю"
 
 #: apt-pkg/edsp.cc:277
 msgid "Prepare for receiving solution"
-msgstr ""
+msgstr "Подготовка к приёму решения"
 
 #: apt-pkg/edsp.cc:284
 msgid "External solver failed without a proper error message"
-msgstr ""
+msgstr "Внешний решатель завершился с ошибкой не передав сообщения об ошибке"
 
 #: apt-pkg/edsp.cc:555 apt-pkg/edsp.cc:558 apt-pkg/edsp.cc:563
 msgid "Execute external solver"
-msgstr ""
+msgstr "Запустить внешний решатель"
 
 #: apt-pkg/deb/dpkgpm.cc:73
 #, c-format
@@ -3462,7 +3465,7 @@ msgstr "Запускается dpkg"
 
 #: apt-pkg/deb/dpkgpm.cc:1411
 msgid "Operation was interrupted before it could finish"
-msgstr ""
+msgstr "Действие прервано до его завершения"
 
 #: apt-pkg/deb/dpkgpm.cc:1473
 msgid "No apport report written because MaxReports is reached already"

+ 5 - 0
test/integration/framework

@@ -736,6 +736,11 @@ testfileequal() {
 	fi
 }
 
+testempty() {
+	msgtest "Test for no output of" "$*"
+	test -z "$($* 2>&1)" && msgpass || msgfail
+}
+
 testequal() {
 	local COMPAREFILE=$(mktemp)
 	addtrap "rm $COMPAREFILE;"

+ 24 - 0
test/integration/test-bug-679371-apt-get-autoclean-multiarch

@@ -0,0 +1,24 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture 'amd64' 'i386'
+
+buildsimplenativepackage 'pkgall' 'all' '1' 'stable'
+buildsimplenativepackage 'pkgnative' 'amd64' '1' 'stable'
+buildsimplenativepackage 'pkgforeign' 'i386' '1' 'stable'
+
+setupaptarchive
+
+changetowebserver
+
+aptget update -qq
+aptget install pkgall pkgnative pkgforeign -y -qq > /dev/null
+
+testdpkginstalled pkgall pkgnative pkgforeign
+
+testequal 'Reading package lists...
+Building dependency tree...
+Reading state information...' aptget autoclean -s

+ 72 - 0
test/integration/test-bug-680041-apt-mark-holds-correctly

@@ -0,0 +1,72 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture 'amd64'
+
+insertinstalledpackage 'pkgarch' 'amd64' '1'
+insertinstalledpackage 'pkgall' 'all' '1'
+
+insertpackage 'unstable' 'pkgarch' 'amd64' '2'
+insertpackage 'unstable' 'pkgall' 'all' '2'
+
+setupaptarchive
+
+runtests() {
+	testempty aptmark showhold
+
+	testequal 'Reading package lists...
+Building dependency tree...
+The following packages will be upgraded:
+  pkgall pkgarch
+2 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
+After this operation, 0 B of additional disk space will be used.
+E: Trivial Only specified but this is not a trivial operation.' aptget dist-upgrade --trivial-only
+
+	testequal 'pkgarch set on hold.' aptmark hold pkgarch
+	testequal 'pkgarch' aptmark showhold
+
+	testequal 'Reading package lists...
+Building dependency tree...
+The following packages have been kept back:
+  pkgarch
+The following packages will be upgraded:
+  pkgall
+1 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
+After this operation, 0 B of additional disk space will be used.
+E: Trivial Only specified but this is not a trivial operation.' aptget dist-upgrade --trivial-only
+
+	testequal 'Canceled hold on pkgarch.' aptmark unhold pkgarch
+	testempty aptmark showhold
+
+	testequal 'Reading package lists...
+Building dependency tree...
+The following packages will be upgraded:
+  pkgall pkgarch
+2 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
+After this operation, 0 B of additional disk space will be used.
+E: Trivial Only specified but this is not a trivial operation.' aptget dist-upgrade --trivial-only
+
+	testequal 'pkgall set on hold.' aptmark hold pkgall
+	testequal 'pkgall' aptmark showhold
+
+	testequal 'Reading package lists...
+Building dependency tree...
+The following packages have been kept back:
+  pkgall
+The following packages will be upgraded:
+  pkgarch
+1 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
+After this operation, 0 B of additional disk space will be used.
+E: Trivial Only specified but this is not a trivial operation.' aptget dist-upgrade --trivial-only
+
+	testequal 'Canceled hold on pkgall.' aptmark unhold pkgall
+	testempty aptmark showhold
+}
+# single-arch
+runtests
+# multi-arch
+configarchitecture 'amd64' 'i386'
+runtests